<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        if (!Schema::hasTable('user_plans')) {
            Schema::create('user_plans', function (Blueprint $table) {
                $table->id();
                $table->unsignedInteger('user_id');
                $table->unsignedInteger('plan_id');
                $table->decimal('plan_price', 28, 8)->default(0);
                $table->unsignedInteger('listings')->default(0);
                $table->unsignedInteger('amenities')->default(0);
                $table->unsignedInteger('amenities_used')->default(0);
                $table->unsignedInteger('images')->default(0);
                $table->unsignedInteger('images_used')->default(0);
                $table->unsignedInteger('videos')->default(0);
                $table->unsignedInteger('videos_used')->default(0);
                $table->boolean('allow_map')->default(0);
                $table->date('expired_on');
                $table->boolean('status')->default(1);
                $table->timestamps();
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::dropIfExists('user_plans');
    }
};
