<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        // Check if the column already exists before adding
        if (!Schema::hasColumn('listings', 'deleted_at')) {
            Schema::table('listings', function (Blueprint $table) {
                $table->softDeletes();
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        // If you want to rollback the migration, you can remove the softDeletes column
        Schema::table('listings', function (Blueprint $table) {
            $table->dropSoftDeletes();
        });
    }
};
