@extends('admin.layouts.app')
@section('panel')
    <div class="row">
        <div class="col-lg-12">
            <div class="card b-radius--10">
                <div class="card-body p-0">
                    <div class="table-responsive--sm table-responsive">
                        <table class="table table--light style--two">
                            <thead>
                                <tr>
                                    <th>@lang('S.N.')</th>
                                    <th>@lang('City')</th>
                                    <th>@lang('Name')</th>
                                    <th>@lang('Listings')</th>
                                    <!--<th>@lang('Is Featured')</th>
                                    <th>@lang('Status')</th>-->
                                    <th>@lang('Action')</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse($cities as $city)
                                    <tr>
                                        <td>{{ $cities->firstItem() + $loop->index }}</td>
                                        <td>
                                            {{ __($city->name) }}<br>
                                            <span style="font-size:.75rem;font-weight:400;">{{ $city->region->name }}</span>
                                        </td>
                                        <td>
                                            <span class="d-block avatar avatar--xs">
                                                <img src="{{ getImage(getFilePath('city') . '/' . $city->image, getFileSize('city')) }}">
                                            </span>
                                            
                                        </td>
                                        <td>
                                            {{ getAmount($city->listings_count) }}
                                        </td>
                                        <!--<td>
                                            @if ($city->is_featured == Status::YES)
                                                <span class="badge badge--info"> @lang('Yes')</span>
                                            @else
                                                <span class="badge badge--warning"> @lang('No')</span>
                                            @endif
                                        </td>
                                        <td>
                                            @php echo $city->statusBadge; @endphp
                                        </td>-->
                                        @php
                                            $city->image_with_path = getImage(getFilePath('city') . '/' . $city->image, getFileSize('city'));
                                        @endphp
                                        <td>
                                            <button type="button" class="btn btn-sm btn-outline--primary editBtn cuModalBtn" title="Edit City" data-resource="{{ $city }}" data-modal_title="@lang('Edit City')" data-has_status="1" cstm-region-id="{{ $city->region_id }}">
                                                <i class="bi bi-pencil-square mx-0"></i>
                                            </button>
                                            @if ($city->status == Status::ENABLE)
                                                <button class="btn btn-outline--danger btn-sm confirmationBtn" title="Disable City" data-question="@lang('Are you sure to disable this city?')" data-action="{{ route('admin.city.status', $city->id) }}">
                                                    <i class="bi bi-lightbulb-off-fill mx-0"></i>
                                                </button>
                                            @else
                                                <button class="btn btn-outline--success confirmationBtn btn-sm" title="Enable City" data-question="@lang('Are you sure to enable this city?')" data-action="{{ route('admin.city.status', $city->id) }}">
                                                    <i class="bi bi-lightbulb-off-fill mx-0"></i>
                                                </button>
                                            @endif
                                            @if ($city->is_featured == Status::YES)
                                                <button class="btn btn-outline--danger btn-sm confirmationBtn" title="Unfeature City" data-question="@lang('Are you sure to unfeature this city?')" data-action="{{ route('admin.city.feature', $city->id) }}">
                                                <i class="bi bi-star-fill mx-0"></i>
                                                </button>
                                            @else
                                                <button class="btn btn-outline--success confirmationBtn btn-sm" title="Feature City" data-question="@lang('Are you sure to feature this city?')" data-action="{{ route('admin.city.feature', $city->id) }}">
                                                    
                                                    <i class="bi bi-star mx-0"></i>
                                                </button>
                                            @endif
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td class="text-muted text-center" colspan="100%">{{ __($emptyMessage) }}</td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>

                @if ($cities->hasPages())
                    <div class="card-footer py-4">
                        @php echo paginateLinks($cities) @endphp
                    </div>
                @endif
            </div><!-- card end -->
        </div>
    </div>

    @php
        $cityImage = getImage(getFilePath('city'), getFileSize('city'));
    @endphp
    <!--Cu Modal -->
    <div id="cuModal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"></h5>
                    <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                        <i class="las la-times"></i>
                    </button>
                </div>
                <form action="{{ route('admin.city.store') }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    <div class="modal-body">
                        <div class="form-group">
                            <div class="image-upload">
                                <div class="thumb">
                                    <div class="avatar-preview">
                                        <div class="profilePicPreview" style="background-image: url({{ $cityImage }})">
                                            <button class="remove-image" type="button"><i class="fa fa-times"></i></button>
                                        </div>
                                    </div>
                                    <div class="avatar-edit">
                                        <input class="profilePicUpload" id="profilePicUpload" name="image" type="file" accept=".png, .jpg, .jpeg">
                                        <label class="bg--success" for="profilePicUpload">@lang('Upload Image')</label>
                                        <small class="mt-2">@lang('Supported files'): <b>@lang('jpeg'),
                                                @lang('jpg'),
                                                @lang('png').</b>
                                            @lang('Image will be resized into '){{ getFileSize('city') }}@lang('px')
                                        </small>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label>@lang('Name')</label>
                            <input type="text" name="name" class="form-control" required>
                        </div>
                        <div class="form-group">
                            <label>@lang('Region')</label>
                            <select name="region" id="region_field" class="form-control" required>
                                <option value="">Select one</option>
                                @foreach ($regions as $region)
                                    <option value="{{ $region->id }}">{{ $region->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <!--<div class="form-group">
                            <label>@lang('Slug')</label>
                            <input class="form-control" name="slug" type="text">
                        </div>-->
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn--primary h-45 w-100">@lang('Submit')</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <x-confirmation-modal />
@endsection

@push('breadcrumb-plugins')
    <x-search-form />
    <button type="button" class="btn btn-sm btn-outline--primary h-45 cuModalBtn" data-modal_title="@lang('Add New City')">
        <i class="las la-plus"></i>@lang('Add New')
    </button>
@endpush

@push('script')
    <script>
        (function($) {
            "use strict";
            $(document).ready(function() {

                $('[name=name]').on('keyup', function() {
                    let inputString = $(this).val();
                    var slug = createSlug(inputString);
                    $('[name=slug]').val(slug);
                })

                function createSlug(inputString) {
                    var slug = inputString.toLowerCase()
                        .replace(/[^\w\-]+/g, '-')
                        .replace(/\-+/g, '-')
                        .replace(/^-+|-+$/g, '');
                    return slug;
                }

                $(".cuModalBtn").on('click', function() {
                    $('#cuModal').find('[name=image]').attr('required', 'required');
                    $('#cuModal').find('[name=image]').closest('.form-group').find('label').first()
                        .addClass(
                            'required');
                });
                $(".editBtn").on('click', function() {
                    $('#cuModal').find('[name=image]').removeAttr('required');
                    $('#cuModal').find('[name=image]').closest('.form-group').find('label').first().removeClass('required');
                });


                $("#cuModal").on('hidden.bs.modal', function() {
                    $(this).find('.profilePicPreview').css('background-image',
                        `url('{{ $cityImage }}')`)
                })

            });
        })(jQuery);
    </script>
@endpush
