<!-- meta tags and other links -->
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ $general->siteName($pageTitle ?? '') }}</title>

    <link rel="shortcut icon" type="image/png" href="{{ getImage(getFilePath('logoIcon') . '/favicon.png') }}">
    <!--<link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">-->
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css">
    <!-- Include SweetAlert CDN -->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="https://code.jquery.com/jquery-3.7.1.min.js" integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>

    <link rel="stylesheet" href="{{ asset('assets/global/css/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/admin/css/vendor/bootstrap-toggle.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/global/css/all.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/global/css/line-awesome.min.css') }}">
    <link href="{{ asset('assets/global/css/magnific-popup.css') }}" rel="stylesheet">


    @stack('style-lib')

    <link rel="stylesheet" href="{{ asset('assets/global/css/select2.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/admin/css/app.css') }}">

    <style>
        body{
            font-family: 'Inter', 'Poppins', sans-serif;
            /*font-weight: 300;*/
        }
        .sidebar__logo .sidebar__main-logo img {
            max-height: 60px;
        }

        .image-upload .thumb .profilePicPreview {
            background-size: cover !important;
            background-position: center;
            background-repeat: no-repeat;
        }
        .cstm-fs-14{
            font-size: .875rem;
        }
        
        
    </style>

    @stack('style')
</head>

<body>
    @yield('content')

    <script src="{{ asset('assets/global/js/jquery-3.6.0.min.js') }}"></script>
    <script src="{{ asset('assets/global/js/bootstrap.bundle.min.js') }}"></script>
    <script src="{{ asset('assets/global/js/magnific-popup.js') }}"></script>
    <script src="{{ asset('assets/admin/js/vendor/bootstrap-toggle.min.js') }}"></script>
    <script src="{{ asset('assets/admin/js/vendor/jquery.slimscroll.min.js') }}"></script>

    @include('partials.notify')
    @stack('script-lib')
    
    <script src="{{ asset('assets/admin/js/nicEdit.js') }}"></script>
    <script src="{{ asset('assets/global/js/select2.min.js') }}"></script>
    <script src="{{ asset('assets/admin/js/app.js') }}"></script>
    <script src="{{ asset('assets/admin/js/cu-modal.js') }}"></script>

    {{-- LOAD NIC EDIT --}}
    <script>
        "use strict";
        bkLib.onDomLoaded(function() {
            $(".nicEdit").each(function(index) {
                $(this).attr("id", "nicEditor" + index);
                new nicEditor({
                    fullPanel: true
                }).panelInstance('nicEditor' + index, {
                    hasPanel: true
                });
            });
        });
        (function($) {
            $(document).on('mouseover ', '.nicEdit-main,.nicEdit-panelContain', function() {
                $('.nicEdit-main').focus();
            });
        })(jQuery);
    </script>

    @stack('script')
    <script>
        // this function sends an ajax request to get the 
        $('.set-plan-btn').on('click', function() {
            var userId = $(this).data('user-id');
            var userName = $(this).data('user-name');

            // Show the modal
            $('#setPlanModal').modal('show');

            $('#sup-user-name').val(userName);
            $('#sup-user-id').val(userId);
        });


        function ban_user(user_id){
            // Display a SweetAlert confirmation
            Swal.fire({
                title: 'Ban User?',
                text: 'Are you sure you want to ban this user? ',
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Ban User'
            }).then((result) => {
                if (result.isConfirmed) {
                    // User clicked "Yes," proceed with deletion
                    var url = "{{ route('admin.users.cstm_ban_user') }}";
                    $.ajax({
                        type: 'POST',
                        url: url,
                        data: {
                            '_token': '{{csrf_token()}}',
                            'user_id': user_id
                        },
                        beforeSend: function() {
                            // setting a timeout
                            document.body.style.cursor = 'wait';
                        },
                        success: function(res) {
                            
                            // Display a SweetAlert toast on success
                            Swal.fire({
                                icon: 'success',
                                title: 'User Status Updated!',
                                showConfirmButton: false,
                                timer: 2500
                            }).then(() => {
                                location.reload();
                            });

                        },
                        error: function(xhr, status, error){
                            var errorMessage = xhr.responseJSON.message;
                            // Display the error message using SweetAlert
                            Swal.fire({
                                title: 'Error!',
                                text: errorMessage,
                                icon: 'error',
                            });
                        }
                    });
                } else {
                    // User clicked "No" or closed the dialog
                    
                }
            });
        }

        function unban_user(user_id){
            // Display a SweetAlert confirmation
            Swal.fire({
                title: 'Activate User?',
                text: 'Are you sure you want to unban this user? ',
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Unban User'
            }).then((result) => {
                if (result.isConfirmed) {
                    // User clicked "Yes," proceed with deletion
                    var url = "{{ route('admin.users.cstm_ban_user') }}";
                    $.ajax({
                        type: 'POST',
                        url: url,
                        data: {
                            '_token': '{{csrf_token()}}',
                            'user_id': user_id
                        },
                        beforeSend: function() {
                            // setting a timeout
                            document.body.style.cursor = 'wait';
                        },
                        success: function(res) {
                            
                            // Display a SweetAlert toast on success
                            Swal.fire({
                                icon: 'success',
                                title: 'User Status Updated!',
                                showConfirmButton: false,
                                timer: 2500
                            }).then(() => {
                                location.reload();
                            });

                        },
                        error: function(xhr, status, error){
                            var errorMessage = xhr.responseJSON.message;
                            // Display the error message using SweetAlert
                            Swal.fire({
                                title: 'Error!',
                                text: errorMessage,
                                icon: 'error',
                            });
                        }
                    });
                } else {
                    // User clicked "No" or closed the dialog
                    
                }
            });
        }



    </script>

</body>

</html>
