@php
    $footerContent = getContent('footer.content', true);
    $iconElement = getContent('social_icon.element', false, null, true);
    $policyPages = getContent('policy_pages.element', false, null, true);
    $contactElement = getContent('contact_us.element', false, 3, true);
@endphp
<footer class="footer-area">

    <div class="py-60">
        <div class="container">
            <div class="row justify-content-center gy-5">
                <div class="col-xl-4 col-sm-6">
                    <div class="footer-item">
                        <div class="footer-item__logo">
                            <a href="{{ route('home') }}"> <img src="{{ getImage('assets/images/logoIcon/usaid_logo.png') }}" alt=""></a>
                        </div>
                        <p class="footer-item__desc"> {{ __($footerContent->data_values->content) }}</p>
                        <ul class="social-list">
                            @foreach ($iconElement as $icon)
                                <li class="social-list__item"><a href="{{ @$icon->data_values->url }}" class="social-list__link flex-center"> @php echo @$icon->data_values->social_icon; @endphp</a> </li>
                            @endforeach
                        </ul>
                    </div>
                </div>
                <div class="col-xl-2 col-sm-6">
                    <div class="footer-item">
                        <h5 class="footer-item__title"> @lang('Quick Links') </h5>
                        <ul class="footer-menu">
                            @foreach ($policyPages as $link)
                                <li class="footer-menu__item"><a href="{{ route('policy.pages', [slug($link->data_values->title), $link->id]) }}" class="footer-menu__link">{{ __($link->data_values->title) }}</a></li>
                            @endforeach
                            <li class="footer-menu__item"><a href="{{ route('faq') }}" class="footer-menu__link">@lang('FAQ')</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-2 col-sm-6">
                    <div class="footer-item">
                        <h5 class="footer-item__title">@lang('Important Links')</h5>
                        <ul class="footer-menu">
                            <li class="footer-menu__item"><a href="{{ route('cities') }}" class="footer-menu__link">@lang('Cities')</a></li>
                            <li class="footer-menu__item"><a href="{{ route('blog') }}" class="footer-menu__link">@lang('Blogs')</a></li>
                            <li class="footer-menu__item"><a href="{{ route('pricing') }}" class="footer-menu__link">@lang('Pricing')</a></li>
                            <li class="footer-menu__item"><a href="{{ route('user.login') }}" class="footer-menu__link">@lang('Login')</a></li>
                            @if (@$pages)
                                @foreach ($pages as $k => $data)
                                    <li class="footer-menu__item">
                                        <a href="{{ route('pages', [$data->slug]) }}" class="footer-menu__link">{{ __($data->name) }}</a>
                                    </li>
                                @endforeach
                            @endif
                        </ul>
                    </div>
                </div>
                <div class="col-xl-3 col-sm-6">
                    <div class="footer-item">
                        <h5 class="footer-item__title">@lang('Contact With Us')</h5>
                        <ul class="footer-contact-menu">
                            @foreach ($contactElement as $contact)
                                <li class="footer-contact-menu__item">
                                    <div class="footer-contact-menu__item-icon">
                                        @php echo @$contact->data_values->icon @endphp
                                    </div>
                                    <div class="footer-contact-menu__item-content">
                                        <p>{{ @$contact->data_values->content }}</p>
                                    </div>
                                </li>
                            @endforeach
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Footer Top End-->

    <!-- bottom Footer -->
    <div class="bottom-footer">
        <div class="bottom-footer-text text-white text-center"> &copy; @lang('Copyright')
            {{ date('Y') }}. <a class="base--text" href="{{ route('home') }}">{{ __($general->site_name) }}</a>
            @lang('All rights reserved.')
        </div>
    </div>
</footer>
