@php
    $language = App\Models\Language::all();
@endphp

<header class="header" id="header">
    <div class="container">
        <nav class="navbar navbar-expand-lg navbar-light">
            <a class="navbar-brand logo" href="{{ route('home') }}">
                <img src="{{ getImage('assets/images/logoIcon/logo.png') }}">
            </a>
            <button class="navbar-toggler header-button" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span id="hiddenNav"><i class="las la-bars"></i></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav nav-menu align-items-lg-center">
                    <li class="nav-item">
                        <a class="nav-link {{ menuActive('home') }}" aria-current="page" href="{{ route('home') }}">@lang('Home')</a>
                    </li>

                    @if (@$pages)
                        @foreach ($pages->where('is_default', 1) as $data)
                            <li class="nav-item">
                                <a class="{{ menuActive('pages', null, $data->slug) }} nav-link" href="{{ route('pages', [$data->slug]) }}">{{ __($data->name) }}</a>
                            </li>
                        @endforeach
                    @endif

                    <li class="nav-item">
                        <a class="nav-link {{ menuActive('categories') }}" aria-current="page" href="{{ route('categories') }}">@lang('Categories')</a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link {{ menuActive('listings') }}" aria-current="page" href="{{ route('listings') }}">@lang('Listings')</a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link {{ menuActive('pricing') }}" href="{{ route('pricing') }}">@lang('Pricing')</a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link {{ menuActive('contact') }}" href="{{ route('contact') }}">@lang('Contact')</a>
                    </li>

                </ul>

                <div class="top-button d-flex flex-wrap gap-3 ms-auto justify-content-between align-items-center">

                    <!-- languages-box  -->
                    @if ($general->multi_language)
                        <div class="language-box">
                            <select class="langSel">
                                @foreach ($language as $item)
                                    <option value="{{ $item->code }}" @if (session('lang') == $item->code) selected @endif>{{ __($item->name) }}</option>
                                @endforeach
                            </select>
                        </div>
                    @endif

                    @auth
                        <ul class="navbar-nav nav-menu align-items-lg-center">
                            <li class="nav-item dropdown">
                                <a class="nav-link {{ menuActive(['user.profile.setting', 'user.change.password']) }}" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                                    @lang('My Account') <span class="nav-item__icon"><i class="fas fa-caret-down"></i></span>
                                </a>

                                <ul class="dropdown-menu">

                                    <li class="dropdown-menu__list">
                                        <a href="{{ route('user.home') }}" class="dropdown-item dropdown-menu__link">@lang('Dashboard')</a>
                                    </li>

                                    <li class="dropdown-menu__list">
                                        <a class="dropdown-item dropdown-menu__link" href="{{ route('user.listing.create') }}"> @lang('Create Listing')</a>
                                    </li>

                                    <li class="dropdown-menu__list">
                                        <a class="dropdown-item dropdown-menu__link" href="{{ route('user.listing.all') }}"> @lang('My Listings')</a>
                                    </li>

                                    <li class="dropdown-menu__list">
                                        <a class="dropdown-item dropdown-menu__link" href="{{ route('user.listing.favorite') }}">@lang('Favorite Listings')</a>
                                    </li>

                                    <li class="dropdown-menu__list">
                                        <a class="dropdown-item dropdown-menu__link" href="{{ route('user.profile.setting') }}"> @lang('Profile Setting')</a>
                                    </li>

                                    <li class="dropdown-menu__list">
                                        <a class="dropdown-item dropdown-menu__link" href="{{ route('user.change.password') }}"> @lang('Change Password')</a>
                                    </li>

                                    <li class="dropdown-menu__list">
                                        <a class="dropdown-item dropdown-menu__link" href="{{ route('user.deposit.history') }}">@lang('Payment Log')</a>
                                    </li>

                                    <li class="dropdown-menu__list">
                                        <a class="dropdown-item dropdown-menu__link" href="{{ route('user.logout') }}"> @lang('Logout') </a>
                                    </li>
                                </ul>
                            </li>
                        </ul>
                    @else
                        <a href="{{ route('user.listing.create') }}" class="btn btn--base">
                            <i class="la la-plus"></i> @lang('Add Listing')
                        </a>
                    @endauth

                </div>
            </div>
        </nav>
    </div>
</header>
