@php
    $favoriteList = [];
    
    if (auth()->check()) {
        $favoriteList = auth()
            ->user()
            ->favoriteListings->pluck('listing_id')
            ->toArray();
    }
@endphp

@foreach ($listings as $listing)
    <div class="{{ $class }}">
        <div class="feature-item">
            <div class="feature-item__thumb" style="height: 185px;">
                <div class="feature-item__thumb-link " style="height: 185px; display:flex;justify-content:center;align-items:center;">
                    <img src="{{ getImage(getFilePath('listing') . '/' . $listing->display_image, getFileSize('listing')) }}" style="width:100%;height:auto;max-width:100%;max-height:100%;">
                    @auth
                        <button type="button" class="listing-item__thumb-icon @if (in_array($listing->id, $favoriteList)) wishlisted @endif clickWishList" data-listing_id="{{ $listing->id }}">
                            <i class="las la-heart"></i>
                        </button>
                    @endauth
                </div>
            </div>

            <div class="feature-item__content-wrapper">
                <div class="feature-item__content">
                    <h5 class="feature-item__title ">
                        <a href="{{ route('listing.details', ['slug' => slug($listing->title), 'id' => $listing->id]) }}" class="feature-item__link">
                            {{ __(strLimit($listing->title, 30)) }}
                        </a>
                    </h5>

                    <div class="">
                        <div class="rating-star">
                            @php echo showRatingStars(averageReview($listing->reviews_count, $listing->reviews_sum_rating)) @endphp
                            <span> ({{ @$listing->reviews_count }}) </span>
                        </div>

                        <div>
                            <span class="listing-item__icon"> <img src="{{ getImage(getFilePath('category') . '/' . $listing->category->image, getFileSize('category')) }}" alt="{{ $listing->category->name }}"> </span>
                            <span class="listing-item__icon-text"> {{ @$listing->category->name }} </span>
                        </div>
                    </div>
                </div>

                <div class="feature-item__contact flex-between">
                    <div class="feature-contact-wrapper">
                        <span class="text--body position-absolute h-100 w-100"></span>
                        <span class="feature-item__contact-icon">
                            <i class="las la-map-marker"></i>
                        </span>
                        <span class="feature-item__contact-area">
                            {{ __($listing->city->name) }}
                        </span>
                    </div>

                    <div class="feature-contact-wrapper">
                        <a href="tel: {{ $listing->user->mobile }}" class="text--body position-absolute h-100 w-100"></a>
                        <span class="feature-item__contact-icon">
                            <i class="las la-phone"></i>
                        </span>
                        <span class="feature-item__contact-number">
                            @lang('Call')
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endforeach

@if (!app()->offsetExists('wishlist_script'))
    @push('script')
        <script>
            (function($) {
                'use strict';
                $(document).on('click', '.clickWishList', function(e) {
                    $.post(`{{ route('user.listing.add.to.favorite', '') }}/${$(this).data('listing_id')}`, {
                        _token: "{{ csrf_token() }}",
                    }, (response) => {
                        $(this).toggleClass('wishlisted');
                    });
                });
            })(jQuery);
        </script>
    @endpush

    @php app()->offsetSet('wishlist_script',true) @endphp
@endif
