<form action="" method="GET" autocomplete="off">
    <div class="feature-sidebar">
        <button type="button" class="feature-sidebar__close"><i class="las la-times"></i></button>
        <div class="feature-sidebar__wrapper">
            <div class="row g-2">

                <div class="position-relative col-lg-3">
                    <select name="category_id" class="filter-select form-select form--control" style="font-size:.875rem;font-weight:300;">
                        <option value=""> @lang('All Categories') </option>
                        @foreach ($categories as $category)
                            <option value="{{ $category->id }}" @selected($category->id == request()->category_id)>{{ __($category->name) }}
                            </option>
                        @endforeach
                    </select>
                </div>

                <div class="position-relative col-lg-3">
                    <select name="region_id" class="filter-select form-select form--control" onchange="get_region_cities(this.value)" style="font-size:.875rem;font-weight:300;">
                        <option value="">@lang('All Regions')</option>
                        @foreach ($regions as $region)
                            <option value="{{ $region->id }}" @selected($region->id == request()->region_id)>{{ __($region->name) }}
                            </option>
                        @endforeach
                    </select>
                </div>

                <div class="position-relative col-lg-3">
                    <select name="city_id" class="filter-select form-select form--control" style="font-size:.875rem;font-weight:300;">
                        <option value="">@lang('All Cities')</option>
                        @foreach ($cities as $city)
                            <option value="{{ $city->id }}" @selected($city->id == request()->city_id)>{{ __($city->name) }}
                            </option>
                        @endforeach
                    </select>
                </div>

                <div class="col-lg-3">
                    <div class="row g-2">
                        <div class="col-lg-9">
                            
                            <input type="text" name="search" class="form--control form-control" value="{{ request()->search }}" placeholder="@lang('Search')">
                        </div>
                        <div class="col-lg-3">
                            <button type="submit" class="filter-btn btn btn--base w-100"><i class="fa fa-search" aria-hidden="true"></i></i></button>
                        </div>
                    
                    </div>
                    
                </div>

                <!--<div class="col-lg-3">
                    <button type="submit" class="filter-btn btn btn--base w-100">@lang('Filter')</button>
                </div>-->
            </div>
        </div>
    </div>
</form>

@push('script')
    <script>
        (function($) {
            "use strict";
            $('[name=city_id]').select2({
                dropdownParent: $('[name=city_id]').parent()
            });

            $('[name=category_id]').select2({
                dropdownParent: $('[name=category_id]').parent()
            });

            $('[name=region_id]').select2({
                dropdownParent: $('[name=region_id]').parent()
            });
        })(jQuery);

        $('.select2-container--default .select2-selection--single .select2-selection__rendered').css('font-size', '.875rem');
        $('.select2-container--default .select2-selection--single .select2-selection__rendered').css('font-weight', 300);

        function get_region_cities(region_id){

            $.get('/get_region_cities/'+region_id, function(res){
                $('#city_id').empty();
                $('#city_id').append('<option value="">All Cities</option>');
                $.each(res.cities, function(index, city) {
                    
                    $('#city_id').append($('<option>', { 
                        value: city.id,
                        text : city.name 
                    }));
                });
            });
        }
    </script>
@endpush

@push('script-lib')
    <script src="{{ asset('assets/global/js/select2.min.js') }}"></script>
@endpush

@push('style-lib')
    <link href="{{ asset('assets/global/css/select2.min.css') }}" rel="stylesheet">
@endpush
