@php
    $featureListing = getContent('feature_listing.content', true);
    $listings = App\Models\Listing::approved()
        ->withCount('reviews')
        ->withSum('reviews', 'rating')
        ->featured()
        ->whereHas('user.activePlan')
        ->with('category', 'city', 'user')
        ->orderBy('id', 'DESC')
        ->get();
@endphp

@if (!blank($listings))
    <section class="feature-section py-120">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-8">
                    <div class="section-heading">
                        <h2 class="section-heading__title">{{ __($featureListing->data_values->heading) }}</h2>
                        <p class="section-heading__desc"> {{ __($featureListing->data_values->subheading) }}</p>
                    </div>
                </div>
            </div>
            <div class="row gy-4 ">
                @include($activeTemplate . 'partials.listing', ['class' => 'col-lg-4 col-md-6'])
            </div>
        </div>
    </section>
@endif
