@php
    $content = getContent('login.content', true);
@endphp
@extends($activeTemplate . 'layouts.app')
@section('panel')
    <section class="account login-register sign-in" style="background-image: url({{ getImage('assets/images/frontend/login/' . @$content->data_values->image, '2250x1500') }});">
        <div class="account-inner">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-xl-5 col-lg-6 col-md-8 col-sm-10">
                        <div class="account-form">
                            <div class="account-form__content mb-4">
                                <a class="account-logo" href="{{ route('home') }}"><img src="{{ asset('assets/images/logoIcon/auth_logo.png') }}"></a>
                                <h3 class="account-form__title mb-2"> {{ __($content->data_values->login_heading) }} </h3>
                                <p class="account-form__desc"> {{ __($content->data_values->login_subheading) }} </p>
                            </div>

                            <form method="POST" action="{{ route('user.login') }}" class="verify-gcaptcha">
                                @csrf
                                <div class="row">
                                    <div class="col-sm-12 form-group group-two">
                                        <label for="email-six" class="form--label">@lang('Username or Email')</label>
                                        <input type="text" name="username" class="form--control control-two" value="{{ old('username') }}" id="email-six" required>
                                    </div>
                                    <div class="col-sm-12 form-group group-two">
                                        <label for="your-password" class="form--label">@lang('Password')</label>
                                        <div class="position-relative">
                                            <input id="your-password" type="password" name="password" class="form-control form--control control-two" required>
                                            <span class="password-show-hide fas fa-eye toggle-password fa-eye-slash" id="#your-password"></span>
                                        </div>
                                    </div>

                                    <x-captcha />

                                    <div class="col-sm-12 form-group group-two">
                                        <div class="d-flex flex-wrap justify-content-between">
                                            <div class="form--check">
                                                <input class="form-check-input" type="checkbox" name="remember" @checked(old('remember')) id="remember">
                                                <label class="form-check-label" for="remember">@lang('Remember me') </label>
                                            </div>
                                            <a href="{{ route('user.password.request') }}" class="forgot-password ">@lang('Forgot Password?')</a>
                                        </div>
                                    </div>
                                    <div class="col-sm-12 form-group group-two">
                                        <button type="submit" id="recaptcha" class="btn btn--base w-100">@lang('Login')</button>
                                    </div>
                                    <div class="col-sm-12">
                                        <div class="have-account text-center">
                                            <p class="have-account__text">@lang('Don\'t have an account yet?') <a href="{{ route('user.register') }}" class="have-account__link text--base">@lang('Register')</a></p>
                                        </div>
                                    </div>
                                </div>
                            </form>

                            <div class="account-form__content mb-4">
                                <div class="account-form__or">@lang('OR')</div>

                                @php
                                    $credentials = $general->socialite_credentials;
                                @endphp
                                @if ($credentials->google->status == Status::ENABLE || $credentials->facebook->status == Status::ENABLE || $credentials->linkedin->status == Status::ENABLE)
                                    <div class="account-form__social-link flex-center">
                                        @if ($credentials->facebook->status == Status::ENABLE)
                                            <a href="{{ route('user.social.login', 'facebook') }}" class="account-form__icon facebook">
                                                <i class="lab la-facebook"></i>
                                            </a>
                                        @endif
                                        @if ($credentials->google->status == Status::ENABLE)
                                            <a href="{{ route('user.social.login', 'google') }}" class="account-form__icon google">
                                                <i class="lab la-google-plus-g"></i>
                                            </a>
                                        @endif
                                        @if ($credentials->linkedin->status == Status::ENABLE)
                                            <a href="{{ route('user.social.login', 'linkedin') }}" class="account-form__icon linkedin">
                                                <i class="lab la-linkedin"></i>
                                            </a>
                                        @endif
                                    </div>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
