@extends($activeTemplate . 'layouts.master')
@section('content')
    <section class="py-120">
        <div class="container">
            <div class="row gy-4 flex-wrap-reverse">
                <div class="col-xxl-8 col-xl-6 col-md-6 ">
                    <div class="row gy-4">
                        <div class="col-xxl-6">
                            <div class="dashboard-widget d-flex flex-wrap-reverse">
                                <div>
                                    <h6 class="digit">{{ $data['total_listing'] }}</h6>
                                    <span class="caption"> @lang('Listings Added')</span>
                                </div>
                                <span class="icon bg--info text-white"><i class="la la-building"></i></span>
                            </div>
                        </div>

                        <div class="col-xxl-6">
                            <div class="dashboard-widget">
                                <div>
                                    <h6 class="digit">{{ $data['approved_listing'] }}</h6>
                                    <span class="caption"> @lang('Approved Listings')</span>
                                </div>
                                <span class="icon bg--success text-white"><i class="la la-check-circle"></i></span>
                            </div>
                        </div>

                        <div class="col-xxl-6">
                            <div class="dashboard-widget">
                                <div>
                                    <h6 class="digit">{{ $data['pending_listing'] }}</h6>
                                    <span class="caption"> @lang('Pending Listings')</span>
                                </div>
                                <span class="icon bg--warning text-black"><i class="la la-pause-circle"></i></span>
                            </div>
                        </div>

                        <div class="col-xxl-6">
                            <div class="dashboard-widget">
                                <div>
                                    <h6 class="digit">{{ $data['featured_listing'] }}</h6>
                                    <span class="caption "> @lang('Featured Listings')</span>
                                </div>
                                <span class="icon bg--base text-white"><i class="la la-star"></i></span>
                            </div>
                        </div>

                        <div class="col-xxl-6">
                            <div class="dashboard-widget">
                                <div>
                                    <h6 class="digit">{{ $data['disabled_listing'] }}</h6>
                                    <span class="caption"> @lang('Disabled Listings')</span>
                                </div>
                                <span class="icon bg--secondary text-white"><i class="la la-ban"></i></span>
                            </div>
                        </div>

                        <div class="col-xxl-6">
                            <div class="dashboard-widget">
                                <div>
                                    <h6 class="digit">{{ $data['rejected_listing'] }}</h6>
                                    <span class="caption"> @lang('Rejected Listings')</span>
                                </div>
                                <span class="icon bg--danger text-white"><i class="la la-times-circle"></i></span>
                            </div>
                        </div>

                    </div>
                </div>

                <div class="col-xxl-4 col-xl-6 col-md-6">
                    <div class="d-flex gap-3 mb-3">
                        <a href="{{ route('user.listing.create') }}" class="btn btn--info w-100">
                            <i class="la la-plus-circle"></i> @lang('Add Listing')
                        </a>

                        <a href="{{ route('user.listing.all') }}" class="btn btn-outline--base w-100">
                            <i class="la la-list"></i> @lang('My Listings')
                        </a>
                    </div>

                    <div class="plan-card">
                        <div class="plan-card-body">
                            @if ($plan)
                                <h3 class=" p-0 mb-1 text-center">@lang('Current Plan')</h3>
                                <h6 class="pricing-card__title mb-3 text-center">{{ __($plan->plan->title) }}</h6>
                                <ul class="pricing-card__list">
                                    <li class="pricing-card__item">
                                        <div class="d-flex justify-content-between">
                                            <span>
                                                <span class="pricing-card__item-icon text--success"><i class="la la-check"></i></span>
                                                @lang('Listings can add')
                                            </span>

                                            <span>{{ $plan->listings }} </span>
                                        </div>
                                    </li>

                                    <li class="pricing-card__item">
                                        <div class="d-flex justify-content-between">
                                            <span>
                                                <span class="pricing-card__item-icon @if ($plan->amenities) text--success @else text--danger @endif">
                                                    <i class="la @if ($plan->amenities) la-check @else la-times @endif"></i></span>
                                                @lang('Amenities per listing')
                                            </span>
                                            <span>{{ $plan->amenities }} </span>
                                        </div>
                                    </li>

                                    <li class="pricing-card__item">
                                        <div class="d-flex justify-content-between">
                                            <span>
                                                <span class="pricing-card__item-icon">
                                                    <i class="la @if ($plan->images) text--success la-check @else text--danger la-times @endif"></i>
                                                </span>
                                                @lang('Images per listing')
                                            </span>

                                            <span>{{ $plan->images }} </span>
                                        </div>
                                    </li>

                                    <li class="pricing-card__item">
                                        <div class="d-flex justify-content-between">
                                            <span>
                                                <span class="pricing-card__item-icon">
                                                    <i class="la @if ($plan->videos) text--success la-check @else text--danger la-times @endif"></i>
                                                </span>

                                                @lang('Videos per listing')
                                            </span>

                                            <span>{{ $plan->videos }} </span>
                                        </div>
                                    </li>

                                    <li class="pricing-card__item">
                                        <div class="d-flex justify-content-between">
                                            <span>
                                                <span class="pricing-card__item-icon">
                                                    <i class="la @if ($plan->map) text--success la-check @else text--danger la-times @endif"></i>
                                                </span>
                                                @lang('Allow google map')
                                            </span>

                                            <span>
                                                @if ($plan->map)
                                                    @lang('Yes')
                                                @else
                                                    @lang('No')
                                                @endif
                                            </span>
                                        </div>
                                    </li>
                                </ul>
                            @else
                                <h5 class="text-center">@lang('No Active Plan')</h5>
                                <p class="mb-4">@lang('Currently, you have no subscribed plan. Please buy a plan to publish your listings or add new listings.')</p>

                                <div class="text-center">
                                    <a href="{{ route('pricing') }}" class="btn btn--sm btn--base">@lang('Buy a Plan')</a>
                                </div>
                            @endif
                        </div>
                    </div>

                    @if ($plan)
                        <div class="dashboard-widget plan-expired rounded justify-content-center mt-4 bg--success">
                            <div class="text-center">
                                <h6 class="date">{{ showDateTime($plan->expired_on, 'd F, Y') }}</h6>
                                <span class="caption"> @lang('Current Plan Expired On')</span>
                            </div>
                        </div>
                    @endif
                </div>

            </div>
        </div>
    </section>
@endsection
