@extends($activeTemplate . 'layouts.master')
@section('content')
    <div class="container py-120">
        <form action="">
            <div class="d-flex flex-wrap justify-content-end gap-3 mb-4">
                <div class="w-70 w-md-50 w-lg-25">
                    <input type="text" class="form--control" name="search" value="{{ request()->search }}" placeholder="@lang('Search')">
                </div>
                <button type="submit" class="filter-btn btn btn--base"> <i class="la la-filter"></i> @lang('Filter')</button>
            </div>

        </form>

        <table class="table table--responsive--lg">
            <thead>
                <tr>
                    <th>@lang('Title') </th>
                    <th>@lang('City')</th>
                    <th>@lang('Featured')</th>
                    <th>@lang('Status')</th>
                    <th>@lang('Actions')</th>
                </tr>
            </thead>
            <tbody>
                @forelse ($listings as $listing)
                    <tr>
                        <td>
                            <div>
                                <small class="text-muted">{{ __($listing->category->name) }}</small>
                                <br>
                                <h6>{{ $listing->title }}</h6>
                            </div>
                        </td>

                        <td> {{ $listing->city->name }}</td>

                        <td> @php echo $listing->featuredBadge; @endphp </td>
                        <td>@php echo $listing->statusBadge @endphp</td>

                        <td>
                            <div class="d-flex justify-content-end flex-wrap gap-1">
                                <a class="btn btn--sm btn-outline--info" href="{{ route('user.listing.edit', $listing->id) }}">
                                    <i class="la la-pen"></i> @lang('Edit')
                                </a>
                                @if ($listing->status == Status::LISTING_APPROVED)
                                    <button class="btn btn-outline--danger btn--sm confirmationBtn" data-question="@lang('Are you sure to disable this listing?')" data-action="{{ route('user.listing.status', ['id' => $listing->id, 'status' => Status::LISTING_DISABLED]) }}">
                                        <i class="las la-ban"></i> @lang('Disable')
                                    </button>
                                @elseif($listing->status == Status::LISTING_DISABLED)
                                    <button class="btn btn-outline--success confirmationBtn btn--sm" data-question="@lang('Are you sure to enable this listing?')" data-action="{{ route('user.listing.status', ['id' => $listing->id, 'status' => Status::LISTING_APPROVED]) }}">
                                        <i class="las la-check"></i> @lang('Enable')
                                    </button>
                                @endif
                            </div>
                        </td>
                    </tr>
                @empty
                    <tr>
                        <td class="text-muted text-center" colspan="100%">@lang('Data not found')</td>
                    </tr>
                @endforelse
            </tbody>
        </table>
        @if ($listings->hasPages())
            @php echo paginateLinks($listings) @endphp
        @endif
    </div>
    </div>

    <x-confirmation-modal />
@endsection
