<?php
    $featureListing = getContent('feature_listing.content', true);
    $listings = App\Models\Listing::approved()
        ->withCount('reviews')
        ->withSum('reviews', 'rating')
        ->featured()
        ->whereHas('user.activePlan')
        ->with('category', 'city', 'user')
        ->orderBy('id', 'DESC')
        ->get();
?>

<?php if(!blank($listings)): ?>
    <section class="feature-section py-120">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-8">
                    <div class="section-heading">
                        <h2 class="section-heading__title"><?php echo e(__($featureListing->data_values->heading)); ?></h2>
                        <p class="section-heading__desc"> <?php echo e(__($featureListing->data_values->subheading)); ?></p>
                    </div>
                </div>
            </div>
            <div class="row gy-4 ">
                <?php echo $__env->make($activeTemplate . 'partials.listing', ['class' => 'col-lg-4 col-md-6'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
        </div>
    </section>
<?php endif; ?>
<?php /**PATH /home/bewsysde/public_html/abcdb.bewsys.dev/releases/20240312162516/resources/views/templates/basic/sections/feature_listing.blade.php ENDPATH**/ ?>