<?php $__env->startSection('panel'); ?>
    <div class="row">
        <div class="col-md-12">
            <div class="card b-radius--10">
                <div class="card-body p-0">
                    <div class="table-responsive--sm table-responsive">
                        <table class="table table--light style--two">
                            <thead>
                                <tr>
                                    <th><?php echo app('translator')->get('Image'); ?> | <?php echo app('translator')->get('Name'); ?></th>
                                    <th><?php echo app('translator')->get('Listings'); ?></th>
                                    <!--<th><?php echo app('translator')->get('Is Featured'); ?></th>-->
                                    <!--<th><?php echo app('translator')->get('Status'); ?></th>-->
                                    <th><?php echo app('translator')->get('Action'); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td>
                                            <span class="d-block avatar avatar--xs">
                                                <img src="<?php echo e(getImage(getFilePath('category') . '/' . $category->image, getFileSize('category'))); ?>">
                                            </span>
                                            <?php echo e(__($category->name)); ?>

                                        </td>

                                        <td>
                                            <?php echo e(getAmount($category->listings_count)); ?>

                                        </td>

                                        <!--<td>
                                            <?php if($category->is_featured == Status::YES): ?>
                                                <span class="badge badge--warning"> <?php echo app('translator')->get('Yes'); ?></span>
                                            <?php else: ?>
                                                <span class="badge badge--dark"> <?php echo app('translator')->get('No'); ?></span>
                                            <?php endif; ?>
                                        </td>-->

                                        <!--<td>
                                            <?php echo $category->statusBadge; ?>
                                        </td>-->
                                        <?php
                                            $category->image_with_path = getImage(getFilePath('category') . '/' . $category->image, getFileSize('category'));
                                        ?>
                                        <td>
                                            <div class="d-flex justify-content-end flex-wrap gap-1">
                                                <button class="btn btn-outline--primary editBtn cuModalBtn btn-sm" title="Edit Category" data-modal_title="<?php echo app('translator')->get('Update Category'); ?>" data-resource="<?php echo e($category); ?>">
                                                    <i class="bi bi-pencil-square mx-0"></i>
                                                </button>
                                                <?php if($category->status == Status::ENABLE): ?>
                                                    <button class="btn btn-outline--danger btn-sm confirmationBtn" title="Disable Category" data-question="<?php echo app('translator')->get('Are you sure to disable this category?'); ?>" data-action="<?php echo e(route('admin.category.status', $category->id)); ?>">
                                                        <i class="bi bi-lightbulb-off-fill mx-0"></i>
                                                    </button>
                                                <?php else: ?>
                                                    <button class="btn btn-outline--success confirmationBtn btn-sm" title="Enable Category" data-question="<?php echo app('translator')->get('Are you sure to enable this category?'); ?>" data-action="<?php echo e(route('admin.category.status', $category->id)); ?>">
                                                        <i class="bi bi-lightbulb-fill mx-0"></i>
                                                    </button>
                                                <?php endif; ?>

                                                <?php if($category->is_featured == Status::YES): ?>
                                                    <button class="btn btn-outline--warning btn-sm confirmationBtn" title="Unfeature Category" data-question="<?php echo app('translator')->get('Are you sure to unfeature this category?'); ?>" data-action="<?php echo e(route('admin.category.feature', $category->id)); ?>">
                                                        <i class="bi bi-star-fill mx-0"></i>
                                                    </button>
                                                <?php else: ?>
                                                    <button class="btn btn-outline--info confirmationBtn btn-sm" title="Feature Category" data-question="<?php echo app('translator')->get('Are you sure to feature this category?'); ?>" data-action="<?php echo e(route('admin.category.feature', $category->id)); ?>">
                                                        <i class="bi bi-star mx-0"></i>
                                                    </button>
                                                <?php endif; ?>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <tr>
                                        <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
                <?php if($categories->hasPages()): ?>
                    <div class="card-footer py-4">
                        <?php echo e(paginateLinks($categories)); ?>

                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>

    <?php
        $categoryImage = getImage(getFilePath('category'), getFileSize('category'));
    ?>
    <!--Cu Modal -->
    <div class="modal fade" id="cuModal" role="dialog" tabindex="-1">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"></h5>
                    <button class="close" data-bs-dismiss="modal" type="button" aria-label="Close">
                        <i class="las la-times"></i>
                    </button>
                </div>
                <form action="<?php echo e(route('admin.category.store')); ?>" method="POST" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body">
                        <div class="form-group">
                            <label><?php echo app('translator')->get('Image'); ?></label>
                            <div class="image-upload">
                                <div class="thumb">
                                    <div class="avatar-preview">
                                        <div class="profilePicPreview" style="background-image: url(<?php echo e($categoryImage); ?>)">
                                            <button class="remove-image" type="button"><i class="fa fa-times"></i></button>
                                        </div>
                                    </div>

                                    <div class="avatar-edit">
                                        <input class="profilePicUpload" id="profilePicUpload" name="image" type="file" accept=".png, .jpg, .jpeg">
                                        <label class="bg--success" for="profilePicUpload"><?php echo app('translator')->get('Upload Image'); ?></label>
                                        <small class="mt-2"><?php echo app('translator')->get('Supported files'); ?>: <b><?php echo app('translator')->get('jpeg'); ?>, <?php echo app('translator')->get('jpg'); ?>, <?php echo app('translator')->get('png'); ?>.</b>
                                            <?php echo app('translator')->get('Image will be resized into '); ?><?php echo e(getFileSize('category')); ?><?php echo app('translator')->get('px'); ?>
                                        </small>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label><?php echo app('translator')->get('Name'); ?></label>
                            <input class="form-control" name="name" type="text" required>
                        </div>
                        <div class="form-group">
                            <label><?php echo app('translator')->get('Slug'); ?></label>
                            <input class="form-control" name="slug" type="text" required>
                        </div>
                    </div>

                    <div class="modal-footer">
                        <button class="btn btn--primary w-100 h-45" type="submit"><?php echo app('translator')->get('Submit'); ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <?php if (isset($component)) { $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b = $component; } ?>
<?php $component = App\View\Components\ConfirmationModal::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('confirmation-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\ConfirmationModal::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b)): ?>
<?php $component = $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b; ?>
<?php unset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b); ?>
<?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.search-form','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('search-form'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
    <button class="btn btn-sm btn-outline--primary cuModalBtn" data-modal_title="<?php echo app('translator')->get('Add Category'); ?>">
        <i class="las la-plus"></i><?php echo app('translator')->get('Add New'); ?>
    </button>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        (function($) {
            "use strict";

            $('[name=name]').on('keyup', function() {
                let inputString = $(this).val();
                var slug = createSlug(inputString);
                $('[name=slug]').val(slug);
            })

            function createSlug(inputString) {
                var slug = inputString.toLowerCase()
                    .replace(/[^\w\-]+/g, '-')
                    .replace(/\-+/g, '-')
                    .replace(/^-+|-+$/g, '');
                return slug;
            }

            $('.cuModalBtn').on('click', function() {
                $('#cuModal').find('[name=image]').attr('required', 'required');
                $('#cuModal').find('[name=image]').closest('.form-group').find('label').first().addClass('required');
            });


            $('#cuModal').on('hidden.bs.modal', function() {
                $(this).find('.profilePicPreview').css('background-image', `url('<?php echo e($categoryImage); ?>')`)
            })

        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bewsysde/public_html/abcdb.bewsys.dev/releases/20240325102700/resources/views/admin/category/index.blade.php ENDPATH**/ ?>