<?php
    $pricingContent = getContent('pricing.content', true);
?>

<?php $__env->startSection('content'); ?>
    <section class="pricing-section py-120 section-bg">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-8">
                    <div class="section-heading">
                        <h2 class="section-heading__title"> <?php echo e(__($pricingContent->data_values->heading)); ?></h2>
                        <p class="section-heading__desc"><?php echo e(__($pricingContent->data_values->subheading)); ?></p>
                    </div>
                </div>
            </div>

            <div class="row gy-4">
                <div class="pricing-plan justify-content-center d-flex flex-wrap">
                    <button class="btn pricing-plan-btn active priceBtn" data-type="monthly"><?php echo app('translator')->get('Monthly'); ?></button>
                    <button class="btn pricing-plan-btn priceBtn" data-type="yearly"><?php echo app('translator')->get('Yearly'); ?></button>
                </div>

                <?php $__currentLoopData = $plans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-lg-4 col-sm-6">
                        <div class="pricing-card ">
                            <div class="d-flex justify-content-between align-items-center">
                                <h6 class="pricing-card__title"><?php echo e(__($plan->title)); ?></h6>
                                <?php if(auth()->user() && auth()->user()->activePlan && auth()->user()->activePlan->plan_id == $plan->id): ?>
                                    <span class="current-plan-badge"><?php echo app('translator')->get('Current Plan'); ?></span>
                                <?php endif; ?>
                            </div>

                            <h2 class="pricing-card__number monthlyPrice">
                                <?php echo e($general->cur_sym . showAmount($plan->monthly_price)); ?><span class="time">/<?php echo app('translator')->get('Month'); ?></span>
                            </h2>

                            <h2 class="pricing-card__number yearlyPrice d-none">
                                <?php echo e($general->cur_sym . showAmount($plan->yearly_price)); ?><span class="time">/<?php echo app('translator')->get('Year'); ?></span>
                            </h2>

                            <ul class="pricing-card__list">
                                <li class="pricing-card__item">
                                    <div class="d-flex justify-content-between">
                                        <span>
                                            <span class="pricing-card__item-icon text--success"><i class="la la-check"></i></span>
                                            <?php echo app('translator')->get('Listings can be added'); ?>
                                        </span>

                                        <span><?php echo e($plan->listings); ?> </span>
                                    </div>
                                </li>

                                <li class="pricing-card__item">
                                    <div class="d-flex justify-content-between">
                                        <span>
                                            <span class="pricing-card__item-icon <?php if($plan->amenities): ?> text--success <?php else: ?> text--danger <?php endif; ?>">
                                                <i class="la <?php if($plan->amenities): ?> la-check <?php else: ?> la-times <?php endif; ?>"></i></span>
                                            <?php echo app('translator')->get('Amenities per listing'); ?>
                                        </span>
                                        <span><?php echo e($plan->amenities); ?> </span>
                                    </div>
                                </li>

                                <li class="pricing-card__item">
                                    <div class="d-flex justify-content-between">
                                        <span>
                                            <span class="pricing-card__item-icon">
                                                <i class="la <?php if($plan->images): ?> text--success la-check <?php else: ?> text--danger la-times <?php endif; ?>"></i>
                                            </span>
                                            <?php echo app('translator')->get('Images per listing'); ?>
                                        </span>

                                        <span><?php echo e($plan->images); ?> </span>
                                    </div>
                                </li>

                                <li class="pricing-card__item">
                                    <div class="d-flex justify-content-between">
                                        <span>
                                            <span class="pricing-card__item-icon">
                                                <i class="la <?php if($plan->videos): ?> text--success la-check <?php else: ?> text--danger la-times <?php endif; ?>"></i>
                                            </span>

                                            <?php echo app('translator')->get('Videos per listing'); ?>
                                        </span>

                                        <span><?php echo e($plan->videos); ?> </span>
                                    </div>
                                </li>

                                <li class="pricing-card__item">
                                    <div class="d-flex justify-content-between">
                                        <span>
                                            <span class="pricing-card__item-icon">
                                                <i class="la <?php if($plan->map): ?> text--success la-check <?php else: ?> text--danger la-times <?php endif; ?>"></i>
                                            </span>
                                            <?php echo app('translator')->get('Allow google map'); ?>
                                        </span>

                                        <span>
                                            <?php if($plan->map): ?>
                                                <?php echo app('translator')->get('Yes'); ?>
                                            <?php else: ?>
                                                <?php echo app('translator')->get('No'); ?>
                                            <?php endif; ?>
                                        </span>
                                    </div>
                                </li>
                            </ul>

                            <?php if(auth()->guard()->guest()): ?>
                                <button type="button" class="btn pricing-card__button w-100 loginRequiredBtn mt-3"><?php echo app('translator')->get('Buy Now'); ?>
                                </button>
                            <?php else: ?>
                                <form action="<?php echo e(route('user.plan.choose', $plan->id)); ?>" class="mt-3" method="get">
                                    <input type="hidden" name="price_type" value="monthly">
                                    <button type="submit" class="btn pricing-card__button w-100"><?php echo app('translator')->get('Buy Now'); ?></button>
                                </form>
                            <?php endif; ?>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('modal'); ?>
    <div class="modal fade" id="loginRequired" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-body">
                    <h4 class="text-center mt-3 text--danger"><?php echo app('translator')->get('This action requires login'); ?></h4>
                    <div class="d-flex justify-content-center gap-2">
                        <button type="button" class="btn btn--sm btn--dark" data-bs-dismiss="modal" aria-label="Close"><?php echo app('translator')->get('Cancel'); ?></button>
                        <a href="<?php echo e(route('user.login')); ?>" class="btn btn--sm btn--base"><?php echo app('translator')->get('Login Now'); ?></a>
                    </div>
                </div>

            </div>
        </div>
    </div>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        (function($) {
            "use strict";
            var modal = $('#loginRequired');
            $(document).on('click', '.loginRequiredBtn', (e) => {
                let data = e.currentTarget.dataset;
                modal.modal('show');
            });

            $('.priceBtn').on('click', function() {
                $('.priceBtn').removeClass('active');

                if (!$(this).hasClass('active')) {
                    $(this).addClass('active');
                }

                let type = $(this).data('type');

                if (type === 'monthly') {
                    $('.monthlyPrice').removeClass('d-none');
                    $('.yearlyPrice').addClass('d-none');
                } else {
                    $('.yearlyPrice').removeClass('d-none');
                    $('.monthlyPrice').addClass('d-none');
                }

                $('[name=price_type]').each(function(index, element) {
                    element.value = type;
                });
            });
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bewsysde/public_html/abcdb.bewsys.dev/releases/20240521112236/resources/views/templates/basic/plans.blade.php ENDPATH**/ ?>