<?php
    $recentListingContent = getContent('recent_listings.content', true);
    $listings = App\Models\Listing::approved()
        ->withCount('reviews')
        ->withSum('reviews', 'rating')
        ->whereHas('user.activePlan')
        ->with('category', 'city', 'user')
        ->orderBy('id', 'DESC')
        ->limit(3)
        ->get();
?>

<?php if(!blank($listings)): ?>
    <section class="listing-section py-120">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-8">
                    <div class="section-heading">
                        <h2 class="section-heading__title"> <?php echo e(__($recentListingContent->data_values->heading)); ?> </h2>
                        <p class="section-heading__desc"> <?php echo e(__($recentListingContent->data_values->subheading)); ?></p>
                    </div>
                </div>
            </div>
            <div class="row gy-4 justify-content-center">
                <?php echo $__env->make($activeTemplate . 'partials.listing', ['class' => 'col-lg-4 col-md-6'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
        </div>
    </section>
<?php endif; ?>
<?php /**PATH /home/bewsysde/public_html/abcdb.bewsys.dev/releases/20231108175017/resources/views/templates/basic/sections/recent_listings.blade.php ENDPATH**/ ?>