<?php $__env->startSection('panel'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="card b-radius--10">
                <div class="card-body p-0">
                    <div class="table-responsive--sm table-responsive">
                        <table class="table table--light style--two">
                            <thead>
                                <tr>
                                    <th><?php echo app('translator')->get('S.N.'); ?></th>
                                    <th><?php echo app('translator')->get('Name'); ?></th>
                                    <th><?php echo app('translator')->get('Listings'); ?></th>
                                    <th><?php echo app('translator')->get('Is Featured'); ?></th>
                                    <th><?php echo app('translator')->get('Status'); ?></th>
                                    <th><?php echo app('translator')->get('Action'); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td><?php echo e($cities->firstItem() + $loop->index); ?></td>
                                        <td>
                                            <span class="d-block avatar avatar--xs">
                                                <img src="<?php echo e(getImage(getFilePath('city') . '/' . $city->image, getFileSize('city'))); ?>">
                                            </span>
                                            <?php echo e(__($city->name)); ?>

                                        </td>
                                        <td>
                                            <?php echo e(getAmount($city->listings_count)); ?>

                                        </td>
                                        <td>
                                            <?php if($city->is_featured == Status::YES): ?>
                                                <span class="badge badge--info"> <?php echo app('translator')->get('Yes'); ?></span>
                                            <?php else: ?>
                                                <span class="badge badge--warning"> <?php echo app('translator')->get('No'); ?></span>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php echo $city->statusBadge; ?>
                                        </td>
                                        <?php
                                            $city->image_with_path = getImage(getFilePath('city') . '/' . $city->image, getFileSize('city'));
                                        ?>
                                        <td>
                                            <button type="button" class="btn btn-sm btn-outline--primary editBtn cuModalBtn" data-resource="<?php echo e($city); ?>" data-modal_title="<?php echo app('translator')->get('Edit City'); ?>" data-has_status="1">
                                                <i class="la la-pencil"></i><?php echo app('translator')->get('Edit'); ?>
                                            </button>
                                            <?php if($city->status == Status::ENABLE): ?>
                                                <button class="btn btn-outline--danger btn-sm confirmationBtn" data-question="<?php echo app('translator')->get('Are you sure to disable this city?'); ?>" data-action="<?php echo e(route('admin.city.status', $city->id)); ?>">
                                                    <i class="las la-eye-slash"></i><?php echo app('translator')->get('Disable'); ?>
                                                </button>
                                            <?php else: ?>
                                                <button class="btn btn-outline--success confirmationBtn btn-sm" data-question="<?php echo app('translator')->get('Are you sure to enable this city?'); ?>" data-action="<?php echo e(route('admin.city.status', $city->id)); ?>">
                                                    <i class="las la-eye"></i><?php echo app('translator')->get('Enable'); ?>
                                                </button>
                                            <?php endif; ?>
                                            <?php if($city->is_featured == Status::YES): ?>
                                                <button class="btn btn-outline--danger btn-sm confirmationBtn" data-question="<?php echo app('translator')->get('Are you sure to unfeature this city?'); ?>" data-action="<?php echo e(route('admin.city.feature', $city->id)); ?>">
                                                    <i class="las la-eye-slash"></i><?php echo app('translator')->get('Unfeature'); ?>
                                                </button>
                                            <?php else: ?>
                                                <button class="btn btn-outline--success confirmationBtn btn-sm" data-question="<?php echo app('translator')->get('Are you sure to feature this city?'); ?>" data-action="<?php echo e(route('admin.city.feature', $city->id)); ?>">
                                                    <i class="las la-eye"></i><?php echo app('translator')->get('Feature'); ?>
                                                </button>
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <tr>
                                        <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>

                <?php if($cities->hasPages()): ?>
                    <div class="card-footer py-4">
                        <?php echo paginateLinks($cities) ?>
                    </div>
                <?php endif; ?>
            </div><!-- card end -->
        </div>
    </div>

    <?php
        $cityImage = getImage(getFilePath('city'), getFileSize('city'));
    ?>
    <!--Cu Modal -->
    <div id="cuModal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"></h5>
                    <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                        <i class="las la-times"></i>
                    </button>
                </div>
                <form action="<?php echo e(route('admin.city.store')); ?>" method="POST" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body">
                        <div class="form-group">
                            <div class="image-upload">
                                <div class="thumb">
                                    <div class="avatar-preview">
                                        <div class="profilePicPreview" style="background-image: url(<?php echo e($cityImage); ?>)">
                                            <button class="remove-image" type="button"><i class="fa fa-times"></i></button>
                                        </div>
                                    </div>
                                    <div class="avatar-edit">
                                        <input class="profilePicUpload" id="profilePicUpload" name="image" type="file" accept=".png, .jpg, .jpeg">
                                        <label class="bg--success" for="profilePicUpload"><?php echo app('translator')->get('Upload Image'); ?></label>
                                        <small class="mt-2"><?php echo app('translator')->get('Supported files'); ?>: <b><?php echo app('translator')->get('jpeg'); ?>,
                                                <?php echo app('translator')->get('jpg'); ?>,
                                                <?php echo app('translator')->get('png'); ?>.</b>
                                            <?php echo app('translator')->get('Image will be resized into '); ?><?php echo e(getFileSize('city')); ?><?php echo app('translator')->get('px'); ?>
                                        </small>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label><?php echo app('translator')->get('Name'); ?></label>
                            <input type="text" name="name" class="form-control" required>
                        </div>
                        <div class="form-group">
                            <label><?php echo app('translator')->get('Slug'); ?></label>
                            <input class="form-control" name="slug" type="text" required>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn--primary h-45 w-100"><?php echo app('translator')->get('Submit'); ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <?php if (isset($component)) { $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b = $component; } ?>
<?php $component = App\View\Components\ConfirmationModal::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('confirmation-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\ConfirmationModal::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b)): ?>
<?php $component = $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b; ?>
<?php unset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b); ?>
<?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.search-form','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('search-form'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
    <button type="button" class="btn btn-sm btn-outline--primary h-45 cuModalBtn" data-modal_title="<?php echo app('translator')->get('Add New City'); ?>">
        <i class="las la-plus"></i><?php echo app('translator')->get('Add New'); ?>
    </button>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        (function($) {
            "use strict";
            $(document).ready(function() {

                $('[name=name]').on('keyup', function() {
                    let inputString = $(this).val();
                    var slug = createSlug(inputString);
                    $('[name=slug]').val(slug);
                })

                function createSlug(inputString) {
                    var slug = inputString.toLowerCase()
                        .replace(/[^\w\-]+/g, '-')
                        .replace(/\-+/g, '-')
                        .replace(/^-+|-+$/g, '');
                    return slug;
                }

                $(".cuModalBtn").on('click', function() {
                    $('#cuModal').find('[name=image]').attr('required', 'required');
                    $('#cuModal').find('[name=image]').closest('.form-group').find('label').first()
                        .addClass(
                            'required');
                });
                $(".editBtn").on('click', function() {
                    $('#cuModal').find('[name=image]').removeAttr('required');
                    $('#cuModal').find('[name=image]').closest('.form-group').find('label').first()
                        .removeClass(
                            'required');
                });


                $("#cuModal").on('hidden.bs.modal', function() {
                    $(this).find('.profilePicPreview').css('background-image',
                        `url('<?php echo e($cityImage); ?>')`)
                })

            });
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bewsysde/public_html/abcdb.bewsys.dev/releases/20240220131237/resources/views/admin/city/index.blade.php ENDPATH**/ ?>