<?php
    $language = App\Models\Language::all();
?>

<header class="header" id="header">
    <div class="container">
        <nav class="navbar navbar-expand-lg navbar-light">
            <a class="navbar-brand logo" href="<?php echo e(route('home')); ?>">
                <img src="<?php echo e(getImage('assets/images/logoIcon/logo_dark.png')); ?>">
            </a>
            <button class="navbar-toggler header-button" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span id="hiddenNav"><i class="las la-bars"></i></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav nav-menu align-items-lg-center">
                    <li class="nav-item">
                        <a class="nav-link <?php echo e(menuActive('home')); ?>" aria-current="page" href="<?php echo e(route('home')); ?>"><?php echo app('translator')->get('Home'); ?></a>
                    </li>

                    <?php if(@$pages): ?>
                        <?php $__currentLoopData = $pages->where('is_default', 1); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="nav-item">
                                <a class="<?php echo e(menuActive('pages', null, $data->slug)); ?> nav-link" href="<?php echo e(route('pages', [$data->slug])); ?>"><?php echo e(__($data->name)); ?></a>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>

                    <li class="nav-item">
                        <a class="nav-link <?php echo e(menuActive('categories')); ?>" aria-current="page" href="<?php echo e(route('categories')); ?>"><?php echo app('translator')->get('Categories'); ?></a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link <?php echo e(menuActive('listings')); ?>" aria-current="page" href="<?php echo e(route('listings')); ?>"><?php echo app('translator')->get('Listings'); ?></a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link <?php echo e(menuActive('pricing')); ?>" href="<?php echo e(route('pricing')); ?>"><?php echo app('translator')->get('Pricing'); ?></a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link <?php echo e(menuActive('contact')); ?>" href="<?php echo e(route('contact')); ?>"><?php echo app('translator')->get('Contact'); ?></a>
                    </li>

                </ul>

                <div class="top-button d-flex flex-wrap gap-3 ms-auto justify-content-between align-items-center">

                    <!-- languages-box  -->
                    <?php if($general->multi_language): ?>
                        <div class="language-box">
                            <select class="langSel">
                                <?php $__currentLoopData = $language; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($item->code); ?>" <?php if(session('lang') == $item->code): ?> selected <?php endif; ?>><?php echo e(__($item->name)); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    <?php endif; ?>

                    <?php if(auth()->guard()->check()): ?>
                        <ul class="navbar-nav nav-menu align-items-lg-center">
                            <li class="nav-item dropdown">
                                <a class="nav-link <?php echo e(menuActive(['user.profile.setting', 'user.change.password'])); ?>" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                                    <?php echo app('translator')->get('My Account'); ?> <span class="nav-item__icon"><i class="fas fa-caret-down"></i></span>
                                </a>

                                <ul class="dropdown-menu">

                                    <li class="dropdown-menu__list">
                                        <a href="<?php echo e(route('user.home')); ?>" class="dropdown-item dropdown-menu__link"><?php echo app('translator')->get('Dashboard'); ?></a>
                                    </li>

                                    <li class="dropdown-menu__list">
                                        <a class="dropdown-item dropdown-menu__link" href="<?php echo e(route('user.listing.create')); ?>"> <?php echo app('translator')->get('Create Listing'); ?></a>
                                    </li>

                                    <li class="dropdown-menu__list">
                                        <a class="dropdown-item dropdown-menu__link" href="<?php echo e(route('user.listing.all')); ?>"> <?php echo app('translator')->get('My Listings'); ?></a>
                                    </li>

                                    <li class="dropdown-menu__list">
                                        <a class="dropdown-item dropdown-menu__link" href="<?php echo e(route('user.listing.favorite')); ?>"><?php echo app('translator')->get('Favorite Listings'); ?></a>
                                    </li>

                                    <li class="dropdown-menu__list">
                                        <a class="dropdown-item dropdown-menu__link" href="<?php echo e(route('user.profile.setting')); ?>"> <?php echo app('translator')->get('Profile Setting'); ?></a>
                                    </li>

                                    <li class="dropdown-menu__list">
                                        <a class="dropdown-item dropdown-menu__link" href="<?php echo e(route('user.change.password')); ?>"> <?php echo app('translator')->get('Change Password'); ?></a>
                                    </li>

                                    <li class="dropdown-menu__list">
                                        <a class="dropdown-item dropdown-menu__link" href="<?php echo e(route('user.deposit.history')); ?>"><?php echo app('translator')->get('Payment Log'); ?></a>
                                    </li>

                                    <li class="dropdown-menu__list">
                                        <a class="dropdown-item dropdown-menu__link" href="<?php echo e(route('user.logout')); ?>"> <?php echo app('translator')->get('Logout'); ?> </a>
                                    </li>
                                </ul>
                            </li>
                        </ul>
                    <?php else: ?>
                        <a href="<?php echo e(route('user.listing.create')); ?>" class="btn btn--base">
                            <i class="la la-plus"></i> <?php echo app('translator')->get('Add Listing'); ?>
                        </a>
                    <?php endif; ?>

                </div>
            </div>
        </nav>
    </div>
</header>
<?php /**PATH /home/bewsysde/public_html/abcdb.bewsys.dev/releases/20231108175017/resources/views/templates/basic/partials/header.blade.php ENDPATH**/ ?>