<?php $__env->startSection('panel'); ?>

    <div class="row mb-none-30">
        <div class="col-lg-12 col-md-12 mb-30">
            <div class="card">
                <div class="card-body">

                <form action="<?php echo e(route('admin.listing.store_admin_listing')); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="create-listing-form">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group ">
                                    <label> <?php echo app('translator')->get('Title'); ?></label>
                                    <input class="form-control" type="text" name="title" required value="">
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="form--label required"><?php echo app('translator')->get('Description'); ?></label>
                                    <textarea class="form-control " name="description" rows="5" style="line-height:24px;"><?php echo e(old('description')); ?></textarea>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="form-label"><?php echo app('translator')->get('Category'); ?></label>
                                    <select name="category_id" class="form-control" required>
                                        <option disabled selected value=""><?php echo app('translator')->get('Select one'); ?></option>
                                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($category->id); ?>">
                                                <?php echo e(__($category->name)); ?> </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="form-label"><?php echo app('translator')->get('Region'); ?></label>
                                    <select name="region_id" class="form-control select2" onchange="get_region_cities(this.value)" required>
                                        <option disabled selected value=""><?php echo app('translator')->get('Select one'); ?></option>
                                        <?php $__currentLoopData = $regions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $region): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($region->id); ?>">
                                                <?php echo e(__($region->name)); ?> </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="form-label"><?php echo app('translator')->get('City'); ?></label>
                                    <select name="city_id" class="form-control select2" required>
                                        <option disabled selected value=""><?php echo app('translator')->get('Select one'); ?></option>
                                        
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label class="form-label"><?php echo app('translator')->get('Location'); ?></label>
                                    <input type="text" name="location" class="form-control" value="<?php echo e(old('location')); ?>" required>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="form-label"><?php echo app('translator')->get('Google Map'); ?> <i class="las la-info-circle" title="<?php echo app('translator')->get('Embed link'); ?>"></i></label>

                                    <input type="text" class="form-control" name="map" value="<?php echo e(old('map')); ?>" />
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="form-label"><?php echo app('translator')->get('Tags'); ?> </label>
                                    <small class="ms-2"><?php echo app('translator')->get('Separate multiple keywords by'); ?> <code>,</code>(<?php echo app('translator')->get('comma'); ?>)
                                        <?php echo app('translator')->get('or'); ?> <code><?php echo app('translator')->get('enter'); ?></code> <?php echo app('translator')->get('key'); ?></small>
                                    <select class="form-control select2-auto-tokenize listingTags" name="tags[]" multiple="multiple">
                                        
                                    </select>
                                </div>
                            </div>

                            <div class="create-listing-form-body border-top">
                                <h5 class="d-inline me-2"><?php echo app('translator')->get('Amenities'); ?></h5>
                                <small class="text--danger"> (<?php echo app('translator')->get('You can add maximum amount of'); ?> 5 <?php echo app('translator')->get('amenities'); ?>)</small>

                                <div class="d-flex justify-content-end align-items-center mb-3">
                                    <button type="button" class="btn btn--sm btn-outline--secondary amenityAddBtn">
                                        <la class="la la-plus"></la> <?php echo app('translator')->get('Add Amenity'); ?>
                                    </button>
                                </div>

                                <div class="amenities-wrapper d-flex gap-3 flex-wrap mb-2">
                                    
                                    

                                </div>
                            </div>

                            <div class="create-listing-form-body border-top">
                                <h5><?php echo app('translator')->get('Operating Hours'); ?></h5>

                                <div class="row">

                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label class="form-label"><?php echo app('translator')->get('Day Off'); ?></label>
                                            <select class="form-control dayOff" name="day_off[]" multiple>
                                                <option value="saturday"><?php echo app('translator')->get('Saturday'); ?></option>
                                                <option value="sunday"><?php echo app('translator')->get('Sunday'); ?></option>
                                                <option value="monday"><?php echo app('translator')->get('Monday'); ?></option>
                                                <option value="tuesday"><?php echo app('translator')->get('Tuesday'); ?></option>
                                                <option value="wednesday"><?php echo app('translator')->get('Wednesday'); ?></option>
                                                <option value="thursday"><?php echo app('translator')->get('Thursday'); ?></option>
                                                <option value="friday"><?php echo app('translator')->get('Friday'); ?></option>
                                            </select>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <?php $openTime = @$listing->open_time ? showDateTime(@$listing->open_time, 'H:i') : '' ?>
                                            <label class="form--label"><?php echo app('translator')->get('Office Open'); ?></label>
                                            <input type="time" class="form-control form--control" name="open_time" value="<?php echo e(old('open_time', $openTime)); ?>" autocomplete="off" />
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <?php $closeTime = @$listing->close_time ? showDateTime(@$listing->close_time, 'H:i') : '' ?>
                                            <label class="form--label"><?php echo app('translator')->get('Office Close'); ?></label>
                                            <input type="time" class="form-control form--control" name="close_time" value="<?php echo e(old('close_time', $closeTime)); ?>" autocomplete="off" />
                                        </div>
                                    </div>
                                </div>


                            </div>

                            <div class="create-listing-form-body border-top">
                                <h5><?php echo app('translator')->get('Media Content'); ?></h5>
                                <div class="row">
                                    <div class="col-12">
                                        <div class="form-group">
                                            <label class="form-label"><?php echo app('translator')->get('Display Image'); ?> </label>
                                            <input type='file' class="form-control form-control" name="display_image" id="listingCoverUpload" accept=".png, .jpg, .jpeg" <?php if(!@$listing->id): ?> required <?php endif; ?> />
                                            <small>
                                                <i class="la la-info-circle"></i> <?php echo app('translator')->get('The image will be resized into'); ?> <?php echo e(getFileSize('listing')); ?>

                                            </small>

                                            <div class="image-preview">
                                                <img src="<?php if(@$listing->display_image): ?> <?php echo e(getImage(getFilePath('listing') . '/' . @$listing->display_image)); ?> <?php else: ?> <?php echo e(asset('assets/images/placeholder-image.png')); ?> <?php endif; ?>" alt="">
                                            </div>

                                        </div>
                                    </div>

                                    
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label class="form-label"><?php echo app('translator')->get('Gallery Images'); ?> <small class="text--danger"> (<?php echo app('translator')->get('You can add maximum amount of'); ?> 5 <?php echo app('translator')->get('images'); ?>)</small></label>
                                            </label>
                                            <div class="row">
                                                <div class="input-images pb-3"></div>
                                            </div>
                                        </div>
                                    </div>
                                    

                                    
                                    <div class="col-md-12">
                                        <div class="form-group">

                                            <div class="file-upload">

                                                <div class="d-flex justify-content-between">
                                                    <label class="form-label">
                                                        <?php echo app('translator')->get('Videos'); ?> <i class="las la-info-circle" title="<?php echo app('translator')->get('You need to put the youtube embed link only.'); ?>"></i>
                                                        <small class="text--danger"> <?php echo app('translator')->get('You can add maximum amount of'); ?> 5 <?php echo app('translator')->get('videos'); ?></small>
                                                    </label>
                                                    <button type="button" class="btn btn--sm btn-outline--secondary addVideoBtn">
                                                        <i class="las la-plus"></i> <?php echo app('translator')->get('Add Video'); ?>
                                                    </button>
                                                </div>

                                                
                                                    
                                                

                                                <div id="listingVideoContainer"></div>

                                            </div>

                                        </div>
                                    </div>
                                    

                                </div>
                                <button type="submit" class="btn btn--primary w-100 h-45"><?php echo app('translator')->get('Submit'); ?></button>
                            </div>

                        </div>
                    </div>


                </form>

                </div>
            </div>
        </div>  
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .form--control,
        .image-uploader {
            border-radius: 0.5rem;
        }

        .image-uploader {
            border: 1px solid hsl(var(--black)/0.1);
        }

        .image-preview {
            margin-top: .8rem;
            width: 217px;
            height: 126px;
            padding: 2px;
            border: 1px solid hsl(var(--black)/0.1);
            border-radius: 3px;
        }

        .image-preview img {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }

        .input-group-text {
            background-color: #fbfbfb;
            border: 1px solid #e9e9e9;
            border-radius: .5rem;
        }

        :focus-visible {
            outline: none !important;
        }
        .upload-text, .image-preview{
            border: 1px solid #e5e3e3;
            border-radius: 4px;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script-lib'); ?>
    <script src="<?php echo e(asset('assets/admin/js/nicEdit.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/global/js/select2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/global/js/image-uploader.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style-lib'); ?>
    <link href="<?php echo e(asset('assets/global/css/select2.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('assets/global/css/image-uploader.min.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>

        (function($) {
            "use strict";

            <?php if(old() && old('category_id')): ?>
                $('[name=category_id]').val(<?php echo json_encode(old('category_id'), 15, 512) ?>);
            <?php endif; ?>

            <?php if(old() && old('city_id')): ?>
                $('[name=city_id]').val(<?php echo json_encode(old('city_id'), 15, 512) ?>);
            <?php endif; ?>

            <?php if(old() && old('day_off')): ?>
                $('.dayOff').val(<?php echo json_encode(old('day_off'), 15, 512) ?>);
            <?php elseif(isset($listing->day_off)): ?>
                $('.dayOff').val(<?php echo json_encode($listing->day_off, 15, 512) ?>);
            <?php endif; ?>

            bkLib.onDomLoaded(function() {
                $(".nicEdit").each(function(index) {
                    $(this).attr("id", "nicEditor" + index);
                    new nicEditor({
                        fullPanel: true
                    }).panelInstance('nicEditor' + index, {
                        hasPanel: true
                    });
                });
            });

            $(document).on('mouseover ', '.nicEdit-main,.nicEdit-panelContain', function() {
                $('.nicEdit-main').focus();
            });

            $('.select2-auto-tokenize-aminity').select2({
                dropdownParent: $('.create-listing-form'),
                tags: true,
                maximumSelectionLength: 5,
                tokenSeparators: [','],
            });

            $('.select2-auto-tokenize').select2({
                dropdownParent: $('.create-listing-form'),
                tags: true,
                maximumSelectionLength: 10,
                tokenSeparators: [','],
            });

            // image uploder
            <?php if(isset($images)): ?>
                let preloaded = <?php echo json_encode($images, 15, 512) ?>;
            <?php else: ?>
                let preloaded = [];
            <?php endif; ?>

            $('.input-images').imageUploader({
                preloaded: preloaded,
                imagesInputName: 'images',
                preloadedInputName: 'old',
                maxSize: 3 * 1024 * 1024,
                maxFiles: 5,
            });

            $('.addVideoBtn').on('click', function() {
                let count = $(document).find('.singleVideo').length;
                let max =5 * 1;

                if (count < max) {
                    $("#listingVideoContainer").append(`
                        <div class="input-group my-3 singleVideo">
                            <input type="text" name="videos[]" placeholder="i.e. https://www.youtube.com/embed/WOb4cj7izpE" class="form-control form--control control-two" required />
                            <button type="button" class="input-group-text btn--danger remove-btn text-white"><i class="las la-times"></i></button>
                        </div>
                    `)
                }
            });

            $(document).on('click', '.remove-btn', function() {
                $(this).parent().remove();
            });

            $('.amenityAddBtn').on('click', function() {
                let count = $(document).find('.singleAmenity').length;
                let max = 5 * 1;
                if (count < max) {
                    $('.amenities-wrapper').append(`
                        <div class="input-group singleAmenity">
                            <input type="text" name="amenities[${count}][name]" placeholder="<?php echo app('translator')->get('Name'); ?>" class="form-control form--control">
                            <input type="text" name="amenities[${count}][value]" placeholder="<?php echo app('translator')->get('Value'); ?>" class="form-control form--control">
                            <button type="button" class="btn btn-sm btn--danger h-auto py-0 px-3 amenityRemoveBtn"><i class="la la-times"></i></button>
                        </div>
                    `);
                }
            });

            $(document).on('click', '.amenityRemoveBtn', function() {
                $(this).parent().remove();
            });

            $('.dayOff').select2();


            //image
            function displayImage(input) {
                if (input.files && input.files[0]) {
                    var reader = new FileReader();
                    reader.onload = function(e) {
                        var preview = $(input).parent().find('.image-preview img');
                        $(preview).attr('src', e.target.result);
                        $(preview).addClass('has-image');
                        $(preview).hide();
                        $(preview).fadeIn(650);
                    }
                    reader.readAsDataURL(input.files[0]);
                }
            }

            $("#listingCoverUpload").on('change', function() {
                displayImage(this);
            });

        })(jQuery);

        function get_region_cities(region_id){

            $.get('/get_region_cities/'+region_id, function(res){
                $('#city_id').empty();
                $.each(res.cities, function(index, city) {
                    
                    $('#city_id').append($('<option>', { 
                        value: city.id,
                        text : city.name 
                    }));
                });
            });
        }
    </script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bewsysde/public_html/abcdb.bewsys.dev/releases/20240521112236/resources/views/admin/listing/form.blade.php ENDPATH**/ ?>