<?php
    $footerContent = getContent('footer.content', true);
    $iconElement = getContent('social_icon.element', false, null, true);
    $policyPages = getContent('policy_pages.element', false, null, true);
    $contactElement = getContent('contact_us.element', false, 3, true);
?>
<footer class="footer-area">

    <div class="py-60">
        <div class="container">
            <div class="row justify-content-center gy-5">
                <div class="col-xl-4 col-sm-6">
                    <div class="footer-item">
                        <div class="footer-item__logo">
                            <a href="<?php echo e(route('home')); ?>"> <img src="<?php echo e(getImage('assets/images/logoIcon/usaid_logo.png')); ?>" alt=""></a>
                        </div>
                        <p class="footer-item__desc"> <?php echo e(__($footerContent->data_values->content)); ?></p>
                        <ul class="social-list">
                            <?php $__currentLoopData = $iconElement; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $icon): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="social-list__item"><a href="<?php echo e(@$icon->data_values->url); ?>" class="social-list__link flex-center"> <?php echo @$icon->data_values->social_icon; ?></a> </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-2 col-sm-6">
                    <div class="footer-item">
                        <h5 class="footer-item__title"> <?php echo app('translator')->get('Quick Links'); ?> </h5>
                        <ul class="footer-menu">
                            <?php $__currentLoopData = $policyPages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $link): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="footer-menu__item"><a href="<?php echo e(route('policy.pages', [slug($link->data_values->title), $link->id])); ?>" class="footer-menu__link"><?php echo e(__($link->data_values->title)); ?></a></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <li class="footer-menu__item"><a href="<?php echo e(route('faq')); ?>" class="footer-menu__link"><?php echo app('translator')->get('FAQ'); ?></a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-2 col-sm-6">
                    <div class="footer-item">
                        <h5 class="footer-item__title"><?php echo app('translator')->get('Important Links'); ?></h5>
                        <ul class="footer-menu">
                            <li class="footer-menu__item"><a href="<?php echo e(route('cities')); ?>" class="footer-menu__link"><?php echo app('translator')->get('Cities'); ?></a></li>
                            <li class="footer-menu__item"><a href="<?php echo e(route('blog')); ?>" class="footer-menu__link"><?php echo app('translator')->get('Blogs'); ?></a></li>
                            <li class="footer-menu__item"><a href="<?php echo e(route('pricing')); ?>" class="footer-menu__link"><?php echo app('translator')->get('Pricing'); ?></a></li>
                            <li class="footer-menu__item"><a href="<?php echo e(route('user.login')); ?>" class="footer-menu__link"><?php echo app('translator')->get('Login'); ?></a></li>
                            <?php if(@$pages): ?>
                                <?php $__currentLoopData = $pages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k => $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li class="footer-menu__item">
                                        <a href="<?php echo e(route('pages', [$data->slug])); ?>" class="footer-menu__link"><?php echo e(__($data->name)); ?></a>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-3 col-sm-6">
                    <div class="footer-item">
                        <h5 class="footer-item__title"><?php echo app('translator')->get('Contact With Us'); ?></h5>
                        <ul class="footer-contact-menu">
                            <?php $__currentLoopData = $contactElement; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $contact): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="footer-contact-menu__item">
                                    <div class="footer-contact-menu__item-icon">
                                        <?php echo @$contact->data_values->icon ?>
                                    </div>
                                    <div class="footer-contact-menu__item-content">
                                        <p><?php echo e(@$contact->data_values->content); ?></p>
                                    </div>
                                </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Footer Top End-->

    <!-- bottom Footer -->
    <div class="bottom-footer">
        <div class="bottom-footer-text text-white text-center"> &copy; <?php echo app('translator')->get('Copyright'); ?>
            <?php echo e(date('Y')); ?>. <a class="base--text" href="<?php echo e(route('home')); ?>"><?php echo e(__($general->site_name)); ?></a>
            <?php echo app('translator')->get('All rights reserved.'); ?>
        </div>
    </div>
</footer>
<?php /**PATH /home/bewsysde/public_html/abcdb.bewsys.dev/releases/20240319141750/resources/views/templates/basic/partials/footer.blade.php ENDPATH**/ ?>