<?php $__env->startSection('content'); ?>
    <section class="listing-detials py-120">
        <div class="container">
            <div class="row gy-4">
                <div class="col-xl-8 col-lg-7">
                    <div class="listing-details">
                        <div class="listing-details__header">
                            <h4 class="listing-details__header-title"> <?php echo e(__($listing->title)); ?></h4>

                            <div class="d-flex align-items-center flex-wrap">

                                <div class="rating-star listing-details-item">
                                    <?php echo showRatingStars($listing->avgRating()) ?>
                                    <span class="rating__number"> <?php echo e(@$listing->reviews->count()); ?> <?php echo app('translator')->get('Ratings'); ?> </span>
                                </div>

                                <div class="listing-details-item">
                                    <a href="<?php echo e(route('listings')); ?>?category=<?php echo e($listing->category->slug); ?>">
                                        <span class="listing-details-item__icon">
                                            <img src="<?php echo e(getImage(getFilePath('category') . '/' . $listing->category->image, getFileSize('category'))); ?>" alt="<?php echo e($listing->category->name); ?>">
                                        </span>
                                        <span class="listing-details-item__icon-text"> <?php echo e(__($listing->category->name)); ?></span>
                                    </a>
                                </div>

                                <div class="listing-details-item">
                                    <span class="listing-details-item__icon "><i class="las la-map-marker"></i></span>
                                    <span class="listing-details-item__icon-text"> <?php echo e(__($listing->location)); ?>, <?php echo e(__($listing->city->name)); ?> </span>
                                </div>

                                <?php if($listing->close_time || count($listing->day_off)): ?>
                                    <?php if(isBusinessOpen($listing->open_time, $listing->close_time, $listing->day_off)): ?>
                                        <span class="badge bg--success"> <?php echo app('translator')->get('Open'); ?></span>
                                    <?php else: ?>
                                        <span class="badge bg--warning"><?php echo app('translator')->get('Close'); ?></span>
                                    <?php endif; ?>
                                <?php else: ?>
                                    <span class="badge bg--success"> <?php echo app('translator')->get('Open'); ?></span>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="listing-details__thumb" style="display:flex;justify-content:center;align-items:center;">
                            <img class="fit-image" src="<?php echo e(getImage(getFilePath('listing') . '/' . $listing->display_image, getFileSize('listing'))); ?>" style="width:100%;height:auto;max-width:100%;max-height:100%;">
                        </div>

                        <div class="listing-details__content">
                            <h5 class="listing-details__title"> <?php echo app('translator')->get('Description '); ?></h5>
                            <p class="listing-details__desc"><?php echo $listing->description ?></p>
                            <?php if(env('ALLOW_LISTING_ACCESS_WITHOUT_PLAN') == false): ?>
                                <?php if(auth()->guard()->check()): ?>

                                    <?php if(auth()->user()->activePlan): ?>

                                        <div class="listing-details__date">
                                            <h5 class="listing-details__date-title"> <?php echo app('translator')->get('Working Hours'); ?></h5>
                                            <div class="listing-details__date-content flex-between gap-3">
                                                <?php if($listing->open_time): ?>
                                                    <div>
                                                        <h6 class="title"> <?php echo app('translator')->get('Open'); ?> </h6>
                                                        <div class="d-flex align-items-center">
                                                            <span class="time-icon"><i class="las la-clock"></i></span>
                                                            <span class="time"><?php echo e(showDateTime($listing->open_time, 'h:i A')); ?></span>
                                                        </div>
                                                    </div>
                                                <?php endif; ?>

                                                <?php if($listing->close_time): ?>
                                                    <div>
                                                        <h6 class="title"> <?php echo app('translator')->get('Close'); ?> </h6>
                                                        <div class="d-flex align-items-center">
                                                            <span class="time-icon"><i class="las la-clock"></i></span>
                                                            <span class="time"><?php echo e(showDateTime($listing->close_time, 'h:i A')); ?></span>
                                                        </div>
                                                    </div>
                                                <?php endif; ?>

                                                <?php if(!blank($listing->day_off)): ?>
                                                    <div>
                                                        <h6 class="title"> <?php echo app('translator')->get('Days Off'); ?> </h6>
                                                        <div class="d-flex align-items-center">
                                                            <?php
                                                                $listing->day_off = array_map(function ($day) {
                                                                    return ucfirst($day);
                                                                }, $listing->day_off);
                                                            ?>

                                                            <small>
                                                                <?php echo e(implode(', ', $listing->day_off)); ?>

                                                            </small>
                                                        </div>
                                                    </div>
                                                <?php endif; ?>
                                            </div>
                                        </div>

                                        <?php if(!blank($listing->amenities)): ?>
                                            <div class="listing-details__amenities">
                                                <h5 class="listing-details__amenities-title"> <?php echo app('translator')->get('Amenities'); ?> </h5>
                                                <div class="amenities-list">
                                                    <div class="row gy-4">
                                                        <?php $__currentLoopData = $listing->amenities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $amenity): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <div class="col-xsm-6 col-sm-6 col-md-4 ">
                                                                <h6 class="title"><?php echo e(__($amenity->name)); ?></h6> <span> <?php echo e(__($amenity->value)); ?></span>
                                                            </div>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php endif; ?>

                                        <?php if(count($listing->videos) || count($listing->images)): ?>
                                            <div class="listing-details__gallery">
                                                <ul class="nav nav-pills custom--tab tab-three" id="pills-tab" role="tablist">
                                                    <?php if(!blank($listing->images)): ?>
                                                        <li class="nav-item" role="presentation">
                                                            <button class="nav-link active" id="pills-photos-tab" data-bs-toggle="pill" data-bs-target="#pills-photos" type="button" role="tab" aria-controls="pills-photos" aria-selected="true"><?php echo app('translator')->get('Photos'); ?></button>
                                                        </li>
                                                    <?php endif; ?>

                                                    <?php if(!blank($listing->videos)): ?>
                                                        <li class="nav-item" role="presentation">
                                                            <button class="nav-link <?php if(blank($listing->images)): ?> active <?php endif; ?>" id="pills-video-tab" data-bs-toggle="pill" data-bs-target="#pills-video" type="button" role="tab" aria-controls="pills-video" aria-selected="false"> <?php echo app('translator')->get('Video'); ?>
                                                            </button>
                                                        </li>
                                                    <?php endif; ?>
                                                </ul>
                                                <div class="tab-content" id="pills-tabContent">
                                                    <?php if(!blank($listing->images)): ?>
                                                        <div class="tab-pane fade show active" id="pills-photos" role="tabpanel" aria-labelledby="pills-photos-tab" tabindex="0">
                                                            <div class="row gy-4 justify-content-center">
                                                                <?php $__currentLoopData = $listing->images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <div class="col-sm-4 col-xsm-6">
                                                                        <a class="gallery-thumb" href="<?php echo e(getImage(getFilePath('listing') . '/' . $image->name, getFileSize('listing'))); ?>">
                                                                            <img src="<?php echo e(getImage(getFilePath('listing') . '/' . $image->name, getFileSize('listing'))); ?>" alt="">
                                                                        </a>
                                                                    </div>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </div>
                                                        </div>
                                                    <?php endif; ?>

                                                    <?php if(!blank($listing->videos)): ?>
                                                        <div class="tab-pane fade <?php if(!$listing->images->count()): ?> show active <?php endif; ?>" id="pills-video" role="tabpanel" aria-labelledby="pills-video-tab" tabindex="0">
                                                            <div class="row g-4">
                                                                <?php $__currentLoopData = $listing->videos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $video): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <div class="col-lg-6">
                                                                        <div class="video-info">
                                                                            <iframe src="<?php echo e(@$video); ?>" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
                                                                        </div>
                                                                    </div>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </div>
                                                        </div>
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                        <?php endif; ?>

                                        <?php if($listing->map): ?>
                                            <div class="listing-details__map">
                                                <h5 class="title"><?php echo app('translator')->get('City'); ?> </h5>
                                                <iframe src="<?php echo e(old('map', @$listing->map)); ?>" style="border:0;" height="450" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
                                            </div>
                                        <?php endif; ?>

                                    <?php else: ?>

                                    

                                    <?php endif; ?>
                                    
                                <?php endif; ?>
                                <?php if(auth()->guard()->guest()): ?>
                                    <div class="alert alert-dark" role="alert">
                                        <span class="">Please login to view listing. <a href="<?php echo e(route('user.login')); ?>" class="">Click here to login</a></span>
                                        
                                    </div>
                                <?php endif; ?>

                            <?php else: ?>

                                <div class="listing-details__date">
                                    <h5 class="listing-details__date-title"> <?php echo app('translator')->get('Working Hours'); ?></h5>
                                    <div class="listing-details__date-content flex-between gap-3">
                                        <?php if($listing->open_time): ?>
                                            <div>
                                                <h6 class="title"> <?php echo app('translator')->get('Open'); ?> </h6>
                                                <div class="d-flex align-items-center">
                                                    <span class="time-icon"><i class="las la-clock"></i></span>
                                                    <span class="time"><?php echo e(showDateTime($listing->open_time, 'h:i A')); ?></span>
                                                </div>
                                            </div>
                                        <?php endif; ?>

                                        <?php if($listing->close_time): ?>
                                            <div>
                                                <h6 class="title"> <?php echo app('translator')->get('Close'); ?> </h6>
                                                <div class="d-flex align-items-center">
                                                    <span class="time-icon"><i class="las la-clock"></i></span>
                                                    <span class="time"><?php echo e(showDateTime($listing->close_time, 'h:i A')); ?></span>
                                                </div>
                                            </div>
                                        <?php endif; ?>

                                        <?php if(!blank($listing->day_off)): ?>
                                            <div>
                                                <h6 class="title"> <?php echo app('translator')->get('Days Off'); ?> </h6>
                                                <div class="d-flex align-items-center">
                                                    <?php
                                                        $listing->day_off = array_map(function ($day) {
                                                            return ucfirst($day);
                                                        }, $listing->day_off);
                                                    ?>

                                                    <small>
                                                        <?php echo e(implode(', ', $listing->day_off)); ?>

                                                    </small>
                                                </div>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <?php if(!blank($listing->amenities)): ?>
                                    <div class="listing-details__amenities">
                                        <h5 class="listing-details__amenities-title"> <?php echo app('translator')->get('Amenities'); ?> </h5>
                                        <div class="amenities-list">
                                            <div class="row gy-4">
                                                <?php $__currentLoopData = $listing->amenities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $amenity): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <div class="col-xsm-6 col-sm-6 col-md-4 ">
                                                        <h6 class="title"><?php echo e(__($amenity->name)); ?></h6> <span> <?php echo e(__($amenity->value)); ?></span>
                                                    </div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </div>
                                        </div>
                                    </div>
                                <?php endif; ?>

                                <?php if(count($listing->videos) || count($listing->images)): ?>
                                    <div class="listing-details__gallery">
                                        <ul class="nav nav-pills custom--tab tab-three" id="pills-tab" role="tablist">
                                            <?php if(!blank($listing->images)): ?>
                                                <li class="nav-item" role="presentation">
                                                    <button class="nav-link active" id="pills-photos-tab" data-bs-toggle="pill" data-bs-target="#pills-photos" type="button" role="tab" aria-controls="pills-photos" aria-selected="true"><?php echo app('translator')->get('Photos'); ?></button>
                                                </li>
                                            <?php endif; ?>

                                            <?php if(!blank($listing->videos)): ?>
                                                <li class="nav-item" role="presentation">
                                                    <button class="nav-link <?php if(blank($listing->images)): ?> active <?php endif; ?>" id="pills-video-tab" data-bs-toggle="pill" data-bs-target="#pills-video" type="button" role="tab" aria-controls="pills-video" aria-selected="false"> <?php echo app('translator')->get('Video'); ?>
                                                    </button>
                                                </li>
                                            <?php endif; ?>
                                        </ul>
                                        <div class="tab-content" id="pills-tabContent">
                                            <?php if(!blank($listing->images)): ?>
                                                <div class="tab-pane fade show active" id="pills-photos" role="tabpanel" aria-labelledby="pills-photos-tab" tabindex="0">
                                                    <div class="row gy-4 justify-content-center">
                                                        <?php $__currentLoopData = $listing->images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <div class="col-sm-4 col-xsm-6">
                                                                <a class="gallery-thumb" href="<?php echo e(getImage(getFilePath('listing') . '/' . $image->name, getFileSize('listing'))); ?>">
                                                                    <img src="<?php echo e(getImage(getFilePath('listing') . '/' . $image->name, getFileSize('listing'))); ?>" alt="">
                                                                </a>
                                                            </div>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </div>
                                                </div>
                                            <?php endif; ?>

                                            <?php if(!blank($listing->videos)): ?>
                                                <div class="tab-pane fade <?php if(!$listing->images->count()): ?> show active <?php endif; ?>" id="pills-video" role="tabpanel" aria-labelledby="pills-video-tab" tabindex="0">
                                                    <div class="row g-4">
                                                        <?php $__currentLoopData = $listing->videos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $video): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <div class="col-lg-6">
                                                                <div class="video-info">
                                                                    <iframe src="<?php echo e(@$video); ?>" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
                                                                </div>
                                                            </div>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </div>
                                                </div>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                <?php endif; ?>

                                <?php if($listing->map): ?>
                                    <div class="listing-details__map">
                                        <h5 class="title"><?php echo app('translator')->get('City'); ?> </h5>
                                        <iframe src="<?php echo e(old('map', @$listing->map)); ?>" style="border:0;" height="450" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
                                    </div>
                                <?php endif; ?>

                            <?php endif; ?>
                            
                        </div>

                        <?php if(env('ALLOW_LISTING_ACCESS_WITHOUT_PLAN') == false): ?>

                            <?php if(auth()->guard()->check()): ?>

                                <?php if(auth()->user()->activePlan): ?>

                                    <?php if($canReview): ?>
                                        <!-- Review Form Start -->
                                        <div class="contact-form pt-3" id="comment-box">
                                            <h5 class="contact__title"> <?php echo app('translator')->get('Add Your Review'); ?> </h5>
                                            <form action="<?php echo e(route('user.review.store', $listing->id)); ?>" autocomplete="off" method="POST">
                                                <?php echo csrf_field(); ?>

                                                <div class="form-group">
                                                    <label class="form--label" for="text-four"><?php echo app('translator')->get('Review'); ?>
                                                    </label>
                                                    <textarea class="form--control" id="text-four" name="review" placeholder="<?php echo app('translator')->get('Type review'); ?>" required><?php echo e(old('review')); ?></textarea>
                                                </div>

                                                <div class="listing-rating">
                                                    <span class="title"> <?php echo app('translator')->get('Your rating for this listing'); ?> </span>
                                                    <div class="rating-list d-flex gap-3">
                                                        <div class="rate">
                                                            <input class="giveRating" id="star5" name="rating" type="radio" value="5">
                                                            <label for="star5" title="text"></label>

                                                            <input class="giveRating" id="star4" name="rating" type="radio" value="4">
                                                            <label for="star4" title="text"></label>

                                                            <input class="giveRating" id="star3" name="rating" type="radio" value="3">
                                                            <label for="star3" title="text"></label>

                                                            <input class="giveRating" id="star2" name="rating" type="radio" value="2">
                                                            <label for="star2" title="text"></label>

                                                            <input class="giveRating" id="star1" name="rating" type="radio" value="1">
                                                            <label class="giveRating" for="star1" title="text"></label>
                                                        </div>
                                                        <div class="rating-list__rate"><span class="ratingContainer">0</span>/5 </div>
                                                    </div>
                                                </div>

                                                <button class="btn btn--base" type="submit"><?php echo app('translator')->get('Submit Review'); ?></button>

                                            </form>

                                        </div>
                                        <!-- Review Form End -->
                                    <?php endif; ?>

                                <?php endif; ?>
                                
                            <?php endif; ?>
                        <?php else: ?>

                            <?php if($canReview): ?>
                                <!-- Review Form Start -->
                                <div class="contact-form pt-3" id="comment-box">
                                    <h5 class="contact__title"> <?php echo app('translator')->get('Add Your Review'); ?> </h5>
                                    <form action="<?php echo e(route('user.review.store', $listing->id)); ?>" autocomplete="off" method="POST">
                                        <?php echo csrf_field(); ?>

                                        <div class="form-group">
                                            <label class="form--label" for="text-four"><?php echo app('translator')->get('Review'); ?>
                                            </label>
                                            <textarea class="form--control" id="text-four" name="review" placeholder="<?php echo app('translator')->get('Type review'); ?>" required><?php echo e(old('review')); ?></textarea>
                                        </div>

                                        <div class="listing-rating">
                                            <span class="title"> <?php echo app('translator')->get('Your rating for this listing'); ?> </span>
                                            <div class="rating-list d-flex gap-3">
                                                <div class="rate">
                                                    <input class="giveRating" id="star5" name="rating" type="radio" value="5">
                                                    <label for="star5" title="text"></label>

                                                    <input class="giveRating" id="star4" name="rating" type="radio" value="4">
                                                    <label for="star4" title="text"></label>

                                                    <input class="giveRating" id="star3" name="rating" type="radio" value="3">
                                                    <label for="star3" title="text"></label>

                                                    <input class="giveRating" id="star2" name="rating" type="radio" value="2">
                                                    <label for="star2" title="text"></label>

                                                    <input class="giveRating" id="star1" name="rating" type="radio" value="1">
                                                    <label class="giveRating" for="star1" title="text"></label>
                                                </div>
                                                <div class="rating-list__rate"><span class="ratingContainer">0</span>/5 </div>
                                            </div>
                                        </div>

                                        <button class="btn btn--base" type="submit"><?php echo app('translator')->get('Submit Review'); ?></button>

                                    </form>

                                </div>
                            <?php endif; ?>

                        <?php endif; ?>
                        

                        <!-- Display Reviews Start -->
                        <div class="col-lg-12 pt-5">
                            <h5 class="details-subtitle mb-4"> <?php echo app('translator')->get('Customer Feedback'); ?> </h5>
                            <div class="review flex-between section-bg mb-5">
                                <div class="rating-list rating-star">
                                    <span class="rating-list__number"><?php echo e(getAmount($listing->avgRating())); ?></span>
                                    <?php echo showRatingStars($listing->avgRating()) ?>
                                </div>
                                <span class="rating-list__text p-2"><?php echo e($listing->reviews->count()); ?> <?php echo app('translator')->get('reviews'); ?></span>
                            </div>

                            <div class="comment-list" id="commentWrapper">
                                <?php echo $__env->make($activeTemplate . 'partials.reviews', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            </div>

                        </div>
                        <!-- Display Reviews End -->
                        <?php if($reviews->hasPages()): ?>
                            <button type="button" class="btn btn--base loadMore"><?php echo app('translator')->get('Load More'); ?></button>
                        <?php endif; ?>
                        <?php if(env('ALLOW_LISTING_ACCESS_WITHOUT_PLAN') == false): ?>
                        <?php if(auth()->guard()->check()): ?>
                            <?php if(!auth()->user()->activePlan): ?>
                            <div class="alert alert-dark" role="alert">
                                <span class="">An active plan is required to view the complete details of this listing. <a href="<?php echo e(route('pricing')); ?>" class="">Buy a Plan</a></span>
                            </div>
                            <?php endif; ?>
                        <?php endif; ?>
                        <?php if(auth()->guard()->guest()): ?>
                        <div class="alert alert-dark" role="alert">
                            <span class="">Please login to see the complete details of this listings. <a href="<?php echo e(route('user.login')); ?>" class="">Click here to login</a></span>
                        </div>
                        <?php endif; ?>
                        <?php endif; ?>
                    </div>
                </div>

                <div class="col-xl-4 col-lg-5">
                    <div class="listing-details-sidebar-wrapper">
                        <div class="listing-details-sidebar">
                            <h5 class="listing-details-sidebar__title"> <?php echo app('translator')->get('Posted By'); ?> </h5>
                            <div class="listing-details-sidebar__header">
                                <div class="listing-details-sidebar__header-thumb">
                                    <img src="<?php echo e(getImage(getFilePath('userProfile') . '/' . old('image', $listing->user->image))); ?>" alt="">
                                </div>
                                <div class="listing-details-sidebar__header-info">
                                    <h6 class="name"><?php echo e($listing->user->fullname); ?> </h6>
                                    <span class="title"><?php echo e(@$listing->user->address->country); ?></span>
                                </div>
                            </div>
                            <div class="listing-details-sidebar__info">
                                <ul class="info-list">
                                    <li class="info-list__item"><span class="icon"><i class="las la-map-marker"></i></span>
                                        <?php echo e(__(@$listing->user->address->address)); ?>,<?php echo e(__(@$listing->user->address->city)); ?>

                                    </li>
                                    <li class="info-list__item"><span class="icon"><i class="las la-phone"></i></span>
                                        <?php echo e(@$listing->user->mobile); ?> </li>
                                    <?php if(@$listing->user->address->website): ?>
                                        <li class="info-list__item"><span class="icon"> <i class="las la-globe"></i></span>
                                            <a class="text--body" href="<?php echo e($listing->user->address->website); ?>"><?php echo e($listing->user->address->website); ?></a>
                                        </li>
                                    <?php endif; ?>
                                    <li class="info-list__item"><span class="icon"><i class="las la-envelope"></i></span> <?php echo e(@$listing->user->email); ?>

                                    </li>
                                </ul>
                            </div>
                        </div>

                        <div class="listing-details-sidebar">
                            <h5 class="listing-details-sidebar__title"> <?php echo app('translator')->get('Category'); ?> </h5>
                            <ul class="text-list style-category">
                                <li class="text-list__item">
                                    <a class="text-list__link" href="<?php echo e(route('listings')); ?>">
                                        <span><?php echo app('translator')->get('All'); ?></span>
                                        <span>(<?php echo e($allListing); ?>)</span>
                                    </a>
                                </li>

                                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li class="text-list__item">
                                        <a class="text-list__link" href="<?php echo e(route('listings')); ?>?category=<?php echo e($category->slug); ?>">
                                            <span><?php echo e(__($category->name)); ?></span>
                                            <span>(<?php echo e($category->listings_count); ?>)</span>
                                        </a>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>

                        <?php if(!blank($listing->tags)): ?>
                            <div class="listing-details-sidebar">
                                <h5 class="listing-details-sidebar__title"> <?php echo app('translator')->get('Tags'); ?> </h5>
                                <ul class="text-list style-tag">
                                    <?php $__currentLoopData = $listing->tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li class="text-list__item"><a class="text-list__link" href="<?php echo e(route('listings')); ?>?search=<?php echo e($tag); ?>"> <?php echo e($tag); ?> </a></li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .rate {
            height: 46px;
        }

        .rate:not(:checked)>input {
            position: absolute;
            display: none !important;
        }

        .rate:not(:checked)>label {
            float: right;
            width: 1em;
            overflow: hidden;
            white-space: nowrap;
            cursor: pointer;
            font-size: 30px;
            color: #ccc;
        }

        .rate:not(:checked)>label:before {
            content: '\f005';
            font-family: 'Line Awesome Free';
            font-weight: 900;
        }

        .rate>input:checked~label {
            color: #ffc700;
        }

        .rate:not(:checked)>label:hover,
        .rate:not(:checked)>label:hover~label {
            color: #f7c616;
        }

        .rate>input:checked+label:hover,
        .rate>input:checked+label:hover~label,
        .rate>input:checked~label:hover,
        .rate>input:checked~label:hover~label,
        .rate>label:hover~input:checked~label {
            color: #f7c616;
        }

        .language-box select {
            color: hsl(var(--black)) !important;
            border: 1px solid hsl(var(--black)/0.4) !important;
        }

        .language-box select option {
            background-color: hsl(var(--white)) !important;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        (function($) {
            'use strict';

            $('.giveRating').on('click', function() {
                $('.ratingContainer').text($(this).val());
            });

            let url = <?php echo json_encode($reviews->nextPageUrl(), 15, 512) ?>;

            $('.loadMore').on('click', function() {
                const loadMoreButton = $(this);
                loadMoreButton.attr('disabled', true).html(`<i class="fa fa-spin fa-circle-notch"></i> <?php echo app('translator')->get('Loading'); ?>`);

                if (url) {
                    $.get(url, (response) => {
                        const reviewsHtml = $(response.reviews).hide();
                        $('#commentWrapper').append(reviewsHtml);

                        reviewsHtml.slideDown('fast', () => {
                            url = response.next_page_url;
                            if (!url) {
                                loadMoreButton.remove();
                            } else {
                                loadMoreButton.attr('disabled', false).html(`<?php echo app('translator')->get('Load More'); ?>`);
                            }
                        });

                    }, 'json');
                }
            });
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bewsysde/public_html/abcdb.bewsys.dev/releases/20240312161450/resources/views/templates/basic/listing_details.blade.php ENDPATH**/ ?>