<?php $__env->startSection('content'); ?>
    <div class="feature-grid py-120">
        <div class="container">
            <div class="user-profile-wrapper">
                <div class="profile-info">
                    <div class="card custom--card">
                        <div class="card-body">
                            <div class="proifle-image-preview">
                                <img src="<?php echo e(getImage(getFilePath('userProfile') . '/' . $user->image, null, true)); ?>" alt="profile-image">
                            </div>
                            <ul class="caption-list-two mt-3">
                                <li>
                                    <span class="caption"><?php echo app('translator')->get('Username'); ?></span>
                                    <span class="value"><?php echo e($user->username); ?></span>
                                </li>
                                <li>
                                    <span class="caption"><?php echo app('translator')->get('Email'); ?></span>
                                    <span class="value"><?php echo e($user->email); ?></span>
                                </li>
                                <li>
                                    <span class="caption"><?php echo app('translator')->get('Mobile'); ?></span>
                                    <span class="value">+<?php echo e($user->mobile); ?></span>
                                </li>
                                <li>
                                    <span class="caption"><?php echo app('translator')->get('Country'); ?></span>
                                    <span class="value"><?php echo e($user->address->country); ?></span>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>

                <div class="profile-form">
                    <div class="card custom--card">
                        <div class="card-body">
                            <form class="register" action="" method="post" enctype="multipart/form-data">
                                <?php echo csrf_field(); ?>
                                <div class="row">
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label class="form--label"><?php echo app('translator')->get('First Name'); ?></label>
                                            <input class="form--control control-two" name="firstname" type="text" value="<?php echo e($user->firstname); ?>" required>
                                        </div>
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label class="form--label"><?php echo app('translator')->get('Last Name'); ?></label>
                                            <input class="form--control control-two" name="lastname" type="text" value="<?php echo e($user->lastname); ?>" required>
                                        </div>
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label class="form--label"><?php echo app('translator')->get('State'); ?></label>
                                            <input class="form--control control-two" name="state" type="text" value="<?php echo e(@$user->address->state); ?>">
                                        </div>
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label class="form--label"><?php echo app('translator')->get('City'); ?></label>
                                            <input class="form--control control-two" name="city" type="text" value="<?php echo e(@$user->address->city); ?>">
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label class="form--label"><?php echo app('translator')->get('Zip Code'); ?></label>
                                            <input class="form--control control-two" name="zip" type="text" value="<?php echo e(@$user->address->zip); ?>">
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label class="form--label"><?php echo app('translator')->get('Address'); ?></label>
                                            <input class="form--control control-two" name="address" type="text" value="<?php echo e(@$user->address->address); ?>">
                                        </div>
                                    </div>

                                    <div class="col">
                                        <div class="form-group">
                                            <label class="form--label"><?php echo app('translator')->get('Website URL'); ?></label>
                                            <input class="form--control control-two" name="website" value="<?php echo e(@$user->address->website); ?>" type='text' />
                                        </div>
                                    </div>

                                    <div class="col">
                                        <div class="form-group">
                                            <label class="form--label"><?php echo app('translator')->get('Image'); ?></label>
                                            <input class="form-control form--control" id="imageUpload" name="image" type='file' accept=".png, .jpg, .jpeg" />

                                            <small><i class="la la-info-circle"></i> <?php echo app('translator')->get('Files'); ?>:
                                                <b><?php echo app('translator')->get('jpeg'); ?>, <?php echo app('translator')->get('jpg'); ?>, <?php echo app('translator')->get('png'); ?>.</b> <?php echo app('translator')->get('Resized: 400x400px'); ?>
                                            </small>
                                        </div>
                                    </div>
                                </div>
                                <button class="btn btn-md btn--base w-100" type="submit"><?php echo app('translator')->get('Submit'); ?></button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .user-profile-wrapper {
            display: flex;
            justify-content: center;
            gap: 40px;
            flex-wrap: wrap;
        }

        .profile-info {
            width: 320px;
        }

        .profile-form {
            width: calc(100% - 360px);
        }

        @media(max-width:767px) {
            .user-profile-wrapper {
                gap: 10px;
            }

            .profile-info {
                width: 380px;
            }

            .profile-form {
                width: 380px;
            }
        }

        @media(max-width:590px) {
            .profile-info {
                width: 300px;
            }

            .profile-form {
                width: 300px;
            }
        }

        .proifle-image-preview {
            text-align: center;
        }

        .proifle-image-preview img {
            width: 100%;
            height: auto;
            max-height: 300px;
            border-radius: 5px;
        }

        .caption-list-two {
            padding: 0;
        }

        .caption-list li {
            display: flex;
            flex-wrap: wrap;
            padding: 0.625rem 0;
            font-size: 0.9375rem;
            border-bottom: 1px dashed #e5e5e5;
        }

        .caption-list li:first-child {
            padding-top: 0;
        }

        .caption-list li:last-child {
            padding-bottom: 0;
            border-bottom: none;
        }

        .caption-list li .caption {
            width: 30%;
            font-family: "Exo", cursive;
            font-weight: 700;
            font-size: 0.875rem;
            position: relative;
        }

        @media (max-width: 480px) {
            .caption-list li .caption {
                width: 35%;
            }
        }

        .caption-list li .caption::after {
            position: absolute;
            content: ':';
            top: 0;
            right: 0;
        }

        .caption-list li .value {
            width: 70%;
            padding-left: 0.9375rem;
        }

        @media (max-width: 480px) {
            .caption-list li .value {
                width: 65%;
            }
        }

        .caption-list-two {
            padding: 0.625rem 0.9375rem;
            border-radius: 5px;
            -webkit-border-radius: 5px;
            -moz-border-radius: 5px;
            -ms-border-radius: 5px;
            -o-border-radius: 5px;
        }

        .caption-list-two li {
            font-weight: 500;
            color: #373e4a;
            font-size: 0.875rem;
            padding: 0.5rem 0;
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            justify-content: space-between;
            border-bottom: 1px dashed #cccccc;
        }

        .caption-list-two li:first-child {
            padding-top: 0;
        }

        .caption-list-two li:last-child {
            padding-bottom: 0;
            border-bottom: none;
        }

        .caption-list-two li .caption {
            font-weight: 700;
        }

        @media (max-width: 480px) {
            .caption-list-two li span {
                width: 100%;
            }

            .caption-list-two li .value {
                margin-top: 3px;
            }
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        $("#imageUpload").on('change', function() {
            if (this.files && this.files[0]) {
                let reader = new FileReader();
                reader.onload = function(e) {
                    $('.proifle-image-preview img').attr('src', e.target.result)
                }
                reader.readAsDataURL(this.files[0]);
            }
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bewsysde/public_html/abcdb.bewsys.dev/releases/20240229203354/resources/views/templates/basic/user/profile_setting.blade.php ENDPATH**/ ?>