<?php $__env->startSection('content'); ?>
    <section class="py-120">
        <div class="container">
            <div class="row gy-4 flex-wrap-reverse">
                <div class="col-xxl-8 col-xl-6 col-md-6 ">
                    <div class="row gy-4">
                        <div class="col-xxl-6">
                            <div class="dashboard-widget d-flex flex-wrap-reverse">
                                <div>
                                    <h6 class="digit"><?php echo e($data['total_listing']); ?></h6>
                                    <span class="caption"> <?php echo app('translator')->get('Listings Added'); ?></span>
                                </div>
                                <span class="icon bg--info text-white"><i class="la la-building"></i></span>
                            </div>
                        </div>

                        <div class="col-xxl-6">
                            <div class="dashboard-widget">
                                <div>
                                    <h6 class="digit"><?php echo e($data['approved_listing']); ?></h6>
                                    <span class="caption"> <?php echo app('translator')->get('Approved Listings'); ?></span>
                                </div>
                                <span class="icon bg--success text-white"><i class="la la-check-circle"></i></span>
                            </div>
                        </div>

                        <div class="col-xxl-6">
                            <div class="dashboard-widget">
                                <div>
                                    <h6 class="digit"><?php echo e($data['pending_listing']); ?></h6>
                                    <span class="caption"> <?php echo app('translator')->get('Pending Listings'); ?></span>
                                </div>
                                <span class="icon bg--warning text-black"><i class="la la-pause-circle"></i></span>
                            </div>
                        </div>

                        <div class="col-xxl-6">
                            <div class="dashboard-widget">
                                <div>
                                    <h6 class="digit"><?php echo e($data['featured_listing']); ?></h6>
                                    <span class="caption "> <?php echo app('translator')->get('Featured Listings'); ?></span>
                                </div>
                                <span class="icon bg--base text-white"><i class="la la-star"></i></span>
                            </div>
                        </div>

                        <div class="col-xxl-6">
                            <div class="dashboard-widget">
                                <div>
                                    <h6 class="digit"><?php echo e($data['disabled_listing']); ?></h6>
                                    <span class="caption"> <?php echo app('translator')->get('Disabled Listings'); ?></span>
                                </div>
                                <span class="icon bg--secondary text-white"><i class="la la-ban"></i></span>
                            </div>
                        </div>

                        <div class="col-xxl-6">
                            <div class="dashboard-widget">
                                <div>
                                    <h6 class="digit"><?php echo e($data['rejected_listing']); ?></h6>
                                    <span class="caption"> <?php echo app('translator')->get('Rejected Listings'); ?></span>
                                </div>
                                <span class="icon bg--danger text-white"><i class="la la-times-circle"></i></span>
                            </div>
                        </div>

                    </div>
                </div>

                <div class="col-xxl-4 col-xl-6 col-md-6">
                    <div class="d-flex gap-3 mb-3">
                        <a href="<?php echo e(route('user.listing.create')); ?>" class="btn btn--info w-100">
                            <i class="la la-plus-circle"></i> <?php echo app('translator')->get('Add Listing'); ?>
                        </a>

                        <a href="<?php echo e(route('user.listing.all')); ?>" class="btn btn-outline--base w-100">
                            <i class="la la-list"></i> <?php echo app('translator')->get('My Listings'); ?>
                        </a>
                    </div>

                    <div class="plan-card">
                        <div class="plan-card-body">
                            <?php if($plan): ?>
                                <h3 class=" p-0 mb-1 text-center"><?php echo app('translator')->get('Current Plan'); ?></h3>
                                <h6 class="pricing-card__title mb-3 text-center"><?php echo e(__($plan->plan->title)); ?></h6>
                                <ul class="pricing-card__list">
                                    <li class="pricing-card__item">
                                        <div class="d-flex justify-content-between">
                                            <span>
                                                <span class="pricing-card__item-icon text--success"><i class="la la-check"></i></span>
                                                <?php echo app('translator')->get('Listings can add'); ?>
                                            </span>

                                            <span><?php echo e($plan->listings); ?> </span>
                                        </div>
                                    </li>

                                    <li class="pricing-card__item">
                                        <div class="d-flex justify-content-between">
                                            <span>
                                                <span class="pricing-card__item-icon <?php if($plan->amenities): ?> text--success <?php else: ?> text--danger <?php endif; ?>">
                                                    <i class="la <?php if($plan->amenities): ?> la-check <?php else: ?> la-times <?php endif; ?>"></i></span>
                                                <?php echo app('translator')->get('Amenities per listing'); ?>
                                            </span>
                                            <span><?php echo e($plan->amenities); ?> </span>
                                        </div>
                                    </li>

                                    <li class="pricing-card__item">
                                        <div class="d-flex justify-content-between">
                                            <span>
                                                <span class="pricing-card__item-icon">
                                                    <i class="la <?php if($plan->images): ?> text--success la-check <?php else: ?> text--danger la-times <?php endif; ?>"></i>
                                                </span>
                                                <?php echo app('translator')->get('Images per listing'); ?>
                                            </span>

                                            <span><?php echo e($plan->images); ?> </span>
                                        </div>
                                    </li>

                                    <li class="pricing-card__item">
                                        <div class="d-flex justify-content-between">
                                            <span>
                                                <span class="pricing-card__item-icon">
                                                    <i class="la <?php if($plan->videos): ?> text--success la-check <?php else: ?> text--danger la-times <?php endif; ?>"></i>
                                                </span>

                                                <?php echo app('translator')->get('Videos per listing'); ?>
                                            </span>

                                            <span><?php echo e($plan->videos); ?> </span>
                                        </div>
                                    </li>

                                    <li class="pricing-card__item">
                                        <div class="d-flex justify-content-between">
                                            <span>
                                                <span class="pricing-card__item-icon">
                                                    <i class="la <?php if($plan->map): ?> text--success la-check <?php else: ?> text--danger la-times <?php endif; ?>"></i>
                                                </span>
                                                <?php echo app('translator')->get('Allow google map'); ?>
                                            </span>

                                            <span>
                                                <?php if($plan->map): ?>
                                                    <?php echo app('translator')->get('Yes'); ?>
                                                <?php else: ?>
                                                    <?php echo app('translator')->get('No'); ?>
                                                <?php endif; ?>
                                            </span>
                                        </div>
                                    </li>
                                </ul>
                            <?php else: ?>
                                <h5 class="text-center"><?php echo app('translator')->get('No Active Plan'); ?></h5>
                                <p class="mb-4"><?php echo app('translator')->get('Currently, you have no subscribed plan. Please buy a plan to publish your listings or add new listings.'); ?></p>

                                <div class="text-center">
                                    <a href="<?php echo e(route('pricing')); ?>" class="btn btn--sm btn--base"><?php echo app('translator')->get('Buy a Plan'); ?></a>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>

                    <?php if($plan): ?>
                        <div class="dashboard-widget plan-expired rounded justify-content-center mt-4 bg--success">
                            <div class="text-center">
                                <h6 class="date"><?php echo e(showDateTime($plan->expired_on, 'd F, Y')); ?></h6>
                                <span class="caption"> <?php echo app('translator')->get('Current Plan Expired On'); ?></span>
                            </div>
                        </div>
                    <?php endif; ?>
                </div>

            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bewsysde/public_html/abcdb.bewsys.dev/releases/20231109151628/resources/views/templates/basic/user/dashboard.blade.php ENDPATH**/ ?>