<?php
    $favoriteList = [];
    
    if (auth()->check()) {
        $favoriteList = auth()
            ->user()
            ->favoriteListings->pluck('listing_id')
            ->toArray();
    }
?>

<?php $__currentLoopData = $listings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $listing): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <div class="<?php echo e($class); ?>">
        <div class="feature-item">
            <div class="feature-item__thumb" style="height: 185px;">
                <div class="feature-item__thumb-link " style="height: 185px; display:flex;justify-content:center;align-items:center;">
                    <img src="<?php echo e(getImage(getFilePath('listing') . '/' . $listing->display_image, getFileSize('listing'))); ?>" style="width:100%;height:auto;max-width:100%;max-height:100%;">
                    <?php if(auth()->guard()->check()): ?>
                        <button type="button" class="listing-item__thumb-icon <?php if(in_array($listing->id, $favoriteList)): ?> wishlisted <?php endif; ?> clickWishList" data-listing_id="<?php echo e($listing->id); ?>">
                            <i class="las la-heart"></i>
                        </button>
                    <?php endif; ?>
                </div>
            </div>

            <div class="feature-item__content-wrapper">
                <div class="feature-item__content">
                    <h5 class="feature-item__title ">
                        <a href="<?php echo e(route('listing.details', ['slug' => slug($listing->title), 'id' => $listing->id])); ?>" class="feature-item__link">
                            <?php echo e(__(strLimit($listing->title, 30))); ?>

                        </a>
                    </h5>

                    <div class="">
                        <div class="rating-star">
                            <?php echo showRatingStars(averageReview($listing->reviews_count, $listing->reviews_sum_rating)) ?>
                            <span> (<?php echo e(@$listing->reviews_count); ?>) </span>
                        </div>

                        <div>
                            <span class="listing-item__icon"> <img src="<?php echo e(getImage(getFilePath('category') . '/' . $listing->category->image, getFileSize('category'))); ?>" alt="<?php echo e($listing->category->name); ?>"> </span>
                            <span class="listing-item__icon-text"> <?php echo e(@$listing->category->name); ?> </span>
                        </div>
                    </div>
                </div>

                <div class="feature-item__contact flex-between">
                    <div class="feature-contact-wrapper">
                        <span class="text--body position-absolute h-100 w-100"></span>
                        <span class="feature-item__contact-icon">
                            <i class="las la-map-marker"></i>
                        </span>
                        <span class="feature-item__contact-area">
                            <?php echo e(__($listing->city->name)); ?>

                        </span>
                    </div>

                    <div class="feature-contact-wrapper">
                        <a href="tel: <?php echo e($listing->user->mobile); ?>" class="text--body position-absolute h-100 w-100"></a>
                        <span class="feature-item__contact-icon">
                            <i class="las la-phone"></i>
                        </span>
                        <span class="feature-item__contact-number">
                            <?php echo app('translator')->get('Call'); ?>
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

<?php if(!app()->offsetExists('wishlist_script')): ?>
    <?php $__env->startPush('script'); ?>
        <script>
            (function($) {
                'use strict';
                $(document).on('click', '.clickWishList', function(e) {
                    $.post(`<?php echo e(route('user.listing.add.to.favorite', '')); ?>/${$(this).data('listing_id')}`, {
                        _token: "<?php echo e(csrf_token()); ?>",
                    }, (response) => {
                        $(this).toggleClass('wishlisted');
                    });
                });
            })(jQuery);
        </script>
    <?php $__env->stopPush(); ?>

    <?php app()->offsetSet('wishlist_script',true) ?>
<?php endif; ?>
<?php /**PATH /home/bewsysde/public_html/abcdb.bewsys.dev/releases/20240228160520/resources/views/templates/basic/partials/listing.blade.php ENDPATH**/ ?>