<?php
    $content = getContent('login.content', true);
?>

<?php $__env->startSection('panel'); ?>
    <section class="account login-register sign-in" style="background-image: url(<?php echo e(getImage('assets/images/frontend/login/' . @$content->data_values->image, '2250x1500')); ?>);">
        <div class="account-inner">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-xl-5 col-lg-6 col-md-8 col-sm-10">
                        <div class="account-form">
                            <div class="account-form__content mb-4">
                                <a class="account-logo" href="<?php echo e(route('home')); ?>"><img src="<?php echo e(asset('assets/images/logoIcon/auth_logo.png')); ?>"></a>
                                <h3 class="account-form__title mb-2"> <?php echo e(__($content->data_values->login_heading)); ?> </h3>
                                <p class="account-form__desc"> <?php echo e(__($content->data_values->login_subheading)); ?> </p>
                            </div>

                            <form method="POST" action="<?php echo e(route('user.login')); ?>" class="verify-gcaptcha">
                                <?php echo csrf_field(); ?>
                                <div class="row">
                                    <div class="col-sm-12 form-group group-two">
                                        <label for="email-six" class="form--label"><?php echo app('translator')->get('Username or Email'); ?></label>
                                        <input type="text" name="username" class="form--control control-two" value="<?php echo e(old('username')); ?>" id="email-six" required>
                                    </div>
                                    <div class="col-sm-12 form-group group-two">
                                        <label for="your-password" class="form--label"><?php echo app('translator')->get('Password'); ?></label>
                                        <div class="position-relative">
                                            <input id="your-password" type="password" name="password" class="form-control form--control control-two" required>
                                            <span class="password-show-hide fas fa-eye toggle-password fa-eye-slash" id="#your-password"></span>
                                        </div>
                                    </div>

                                    <?php if (isset($component)) { $__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243 = $component; } ?>
<?php $component = App\View\Components\Captcha::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('captcha'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Captcha::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243)): ?>
<?php $component = $__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243; ?>
<?php unset($__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243); ?>
<?php endif; ?>

                                    <div class="col-sm-12 form-group group-two">
                                        <div class="d-flex flex-wrap justify-content-between">
                                            <div class="form--check">
                                                <input class="form-check-input" type="checkbox" name="remember" <?php if(old('remember')): echo 'checked'; endif; ?> id="remember">
                                                <label class="form-check-label" for="remember"><?php echo app('translator')->get('Remember me'); ?> </label>
                                            </div>
                                            <a href="<?php echo e(route('user.password.request')); ?>" class="forgot-password "><?php echo app('translator')->get('Forgot Password?'); ?></a>
                                        </div>
                                    </div>
                                    <div class="col-sm-12 form-group group-two">
                                        <button type="submit" id="recaptcha" class="btn btn--base w-100"><?php echo app('translator')->get('Login'); ?></button>
                                    </div>
                                    <div class="col-sm-12">
                                        <div class="have-account text-center">
                                            <p class="have-account__text"><?php echo app('translator')->get('Don\'t have an account yet?'); ?> <a href="<?php echo e(route('user.register')); ?>" class="have-account__link text--base"><?php echo app('translator')->get('Register'); ?></a></p>
                                        </div>
                                    </div>
                                </div>
                            </form>

                            <div class="account-form__content mb-4">
                                <div class="account-form__or"><?php echo app('translator')->get('OR'); ?></div>

                                <?php
                                    $credentials = $general->socialite_credentials;
                                ?>
                                <?php if($credentials->google->status == Status::ENABLE || $credentials->facebook->status == Status::ENABLE || $credentials->linkedin->status == Status::ENABLE): ?>
                                    <div class="account-form__social-link flex-center">
                                        <?php if($credentials->facebook->status == Status::ENABLE): ?>
                                            <a href="<?php echo e(route('user.social.login', 'facebook')); ?>" class="account-form__icon facebook">
                                                <i class="lab la-facebook"></i>
                                            </a>
                                        <?php endif; ?>
                                        <?php if($credentials->google->status == Status::ENABLE): ?>
                                            <a href="<?php echo e(route('user.social.login', 'google')); ?>" class="account-form__icon google">
                                                <i class="lab la-google-plus-g"></i>
                                            </a>
                                        <?php endif; ?>
                                        <?php if($credentials->linkedin->status == Status::ENABLE): ?>
                                            <a href="<?php echo e(route('user.social.login', 'linkedin')); ?>" class="account-form__icon linkedin">
                                                <i class="lab la-linkedin"></i>
                                            </a>
                                        <?php endif; ?>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bewsysde/public_html/abcdb.bewsys.dev/releases/20240226115718/resources/views/templates/basic/user/auth/login.blade.php ENDPATH**/ ?>