<?php
    $content = getContent('registration.content', true);
    $policyPages = getContent('policy_pages.element', false, null, true);
?>

<?php $__env->startSection('panel'); ?>
    <section class="account login-register bg-img" style="background-image: url(<?php echo e(getImage('assets/images/frontend/registration/' . @$content->data_values->image, '2250x1500')); ?>);">
        <div class="account-inner">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-8">
                        <div class="account-form">
                            <div class="account-form__content mb-4">
                                <a class="account-logo" href="<?php echo e(route('home')); ?>"><img src="<?php echo e(getImage('assets/images/logoIcon/logo_dark.png')); ?>"></a>
                                <h3 class="account-form__title mb-2"> <?php echo e(__($content->data_values->register_heading)); ?>

                                </h3>
                                <p class="account-form__desc"> <?php echo e(__($content->data_values->register_subheading)); ?></p>
                            </div>

                            <form action="<?php echo e(route('user.register')); ?>" method="POST" class="verify-gcaptcha">
                                <?php echo csrf_field(); ?>
                                <div class="row">
                                    <div class="col-sm-6 form-group group-two">
                                        <div class="form--group">
                                            <label for="username" class="form--label"><?php echo app('translator')->get('Username'); ?></label>
                                            <input type="text" name="username" class="form--control control-two checkUser" id="username" value="<?php echo e(old('username')); ?>" required>

                                            <small class="text-danger usernameExist"></small>
                                        </div>
                                    </div>
                                    <div class="col-sm-6 form-group group-two">
                                        <div class="form--group">
                                            <label for="email-address" class="form--label"><?php echo app('translator')->get('Email Address'); ?> </label>
                                            <input type="text" name="email" class="form--control control-two checkUser" id="email-address" value="<?php echo e(old('email')); ?>" required>
                                        </div>
                                    </div>
                                    <div class="col-sm-6 form-group group-two">
                                        <div class="form--group">
                                            <label for="country-name" class="form--label"><?php echo app('translator')->get('Country'); ?></label>
                                            <select class="form--control control-two" name="country" id="country-name">
                                                <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option data-mobile_code="<?php echo e($country->dial_code); ?>" value="<?php echo e($country->country); ?>" data-code="<?php echo e($key); ?>">
                                                        <?php echo e(__($country->country)); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>

                                    <div class="col-sm-6 form-group group-two">
                                        <div class="form--group">
                                            <label for="mobile-number" class="form--label"><?php echo app('translator')->get('Mobile Number'); ?> </label>
                                            <input type="hidden" name="mobile_code">
                                            <input type="hidden" name="country_code">
                                            <div class="position-relative number">
                                                <span class="fixed-number mobile-code"></span>
                                                <input type="number" name="mobile" class="form--control control-two checkUser" value="<?php echo e(old('mobile')); ?>"id="mobile-number" required>
                                            </div>
                                            <small class="text-danger mobileExist"></small>
                                        </div>
                                    </div>

                                    <div class="col-sm-6 form-group group-two">
                                        <label for="your-password" class="form--label"><?php echo app('translator')->get('Password'); ?></label>
                                        <div class="position-relative">
                                            <input id="your-password" name="password" type="password" class="form-control form--control control-two <?php if($general->secure_password): ?> secure-password <?php endif; ?>">
                                            <div class="password-show-hide fas fa-eye toggle-password fa-eye-slash" id="#your-password"></div>
                                        </div>
                                    </div>
                                    <div class="col-sm-6 form-group group-two">
                                        <label for="confirm-password" class="form--label"><?php echo app('translator')->get('Confirm Password'); ?></label>
                                        <div class="position-relative">
                                            <input id="confirm-password" type="password" class="form-control form--control control-two" name="password_confirmation">
                                            <div class="password-show-hide fas fa-eye toggle-password fa-eye-slash" id="#confirm-password"></div>
                                        </div>
                                    </div>

                                    <?php if (isset($component)) { $__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243 = $component; } ?>
<?php $component = App\View\Components\Captcha::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('captcha'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Captcha::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243)): ?>
<?php $component = $__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243; ?>
<?php unset($__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243); ?>
<?php endif; ?>

                                    <?php if($general->agree): ?>
                                        <div class="col-sm-12 form-group group-two">
                                            <input class="form-check-input me-1" type="checkbox" id="agree" <?php if(old('agree')): echo 'checked'; endif; ?> name="agree" required>
                                            <label class="form-check-label" for="agree"><?php echo app('translator')->get('I agree with'); ?></label>

                                            <?php $__currentLoopData = $policyPages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $policy): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <a for="agree" href="<?php echo e(route('policy.pages', [slug($policy->data_values->title), $policy->id])); ?>" target="_blank"><?php echo e(__($policy->data_values->title)); ?></a>
                                                <?php if(!$loop->last): ?>
                                                    ,
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div>
                                    <?php endif; ?>

                                    <div class="col-sm-12 form-group group-two">
                                        <button type="submit" id="recaptcha" class="btn btn--base w-100"><?php echo app('translator')->get('Register'); ?></button>
                                    </div>
                                    <div class="col-sm-12">
                                        <div class="have-account text-center">
                                            <p class="have-account__text"><?php echo app('translator')->get('Already Have An Account?'); ?> <a href="<?php echo e(route('user.login')); ?>" class="have-account__link text--base"><?php echo app('translator')->get('Login'); ?></a></p>
                                        </div>
                                    </div>
                                </div>
                            </form>

                            <div class="account-form__content">
                                <div class="account-form__or"><?php echo app('translator')->get('OR'); ?></div>

                                <?php
                                    $credentials = $general->socialite_credentials;
                                ?>
                                <?php if($credentials->google->status == Status::ENABLE || $credentials->facebook->status == Status::ENABLE || $credentials->linkedin->status == Status::ENABLE): ?>
                                    <div class="account-form__social-link flex-center">
                                        <?php if($credentials->facebook->status == Status::ENABLE): ?>
                                            <a href="<?php echo e(route('user.social.login', 'facebook')); ?>" class="account-form__icon facebook">
                                                <i class="lab la-facebook"></i>
                                            </a>
                                        <?php endif; ?>
                                        <?php if($credentials->google->status == Status::ENABLE): ?>
                                            <a href="<?php echo e(route('user.social.login', 'google')); ?>" class="account-form__icon google">
                                                <i class="lab la-google-plus-g"></i>
                                            </a>
                                        <?php endif; ?>
                                        <?php if($credentials->linkedin->status == Status::ENABLE): ?>
                                            <a href="<?php echo e(route('user.social.login', 'linkedin')); ?>" class="account-form__icon linkedin">
                                                <i class="lab la-linkedin"></i>
                                            </a>
                                        <?php endif; ?>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('modal'); ?>
    <div class="modal fade" id="existModalCenter" tabindex="-1" role="dialog" aria-labelledby="existModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="existModalLongTitle"><?php echo app('translator')->get('You are with us'); ?></h5>
                    <span type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                        <i class="las la-times"></i>
                    </span>
                </div>
                <div class="modal-body">
                    <h6 class="text-center"><?php echo app('translator')->get('You already have an account please Login '); ?></h6>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-dark btn--sm" data-bs-dismiss="modal"><?php echo app('translator')->get('Close'); ?></button>
                    <a href="<?php echo e(route('user.login')); ?>" class="btn btn--base btn--sm"><?php echo app('translator')->get('Login'); ?></a>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopPush(); ?>

<?php if($general->secure_password): ?>
    <?php $__env->startPush('script-lib'); ?>
        <script src="<?php echo e(asset('assets/global/js/secure_password.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
<?php endif; ?>

<?php $__env->startPush('script'); ?>
    <script>
        "use strict";
        (function($) {
            <?php if($mobileCode): ?>
                $(`option[data-code=<?php echo e($mobileCode); ?>]`).attr('selected', '');
            <?php endif; ?>

            $('select[name=country]').change(function() {
                $('input[name=mobile_code]').val($('select[name=country] :selected').data('mobile_code'));
                $('input[name=country_code]').val($('select[name=country] :selected').data('code'));
                $('.mobile-code').text('+' + $('select[name=country] :selected').data('mobile_code'));
            });
            $('input[name=mobile_code]').val($('select[name=country] :selected').data('mobile_code'));
            $('input[name=country_code]').val($('select[name=country] :selected').data('code'));
            $('.mobile-code').text('+' + $('select[name=country] :selected').data('mobile_code'));

            $('.checkUser').on('focusout', function(e) {
                var url = '<?php echo e(route('user.checkUser')); ?>';
                var value = $(this).val();
                var token = '<?php echo e(csrf_token()); ?>';
                if ($(this).attr('name') == 'mobile') {
                    var mobile = `${$('.mobile-code').text().substr(1)}${value}`;
                    var data = {
                        mobile: mobile,
                        _token: token
                    }
                }
                if ($(this).attr('name') == 'email') {
                    var data = {
                        email: value,
                        _token: token
                    }
                }
                if ($(this).attr('name') == 'username') {
                    var data = {
                        username: value,
                        _token: token
                    }
                }
                $.post(url, data, function(response) {
                    if (response.data != false && response.type == 'email') {
                        $('#existModalCenter').modal('show');
                    } else if (response.data != false) {
                        $(`.${response.type}Exist`).text(`${response.type} already exist`);
                    } else {
                        $(`.${response.type}Exist`).text('');
                    }
                });
            });
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bewsysde/public_html/abcdb.bewsys.dev/releases/20240212103006/resources/views/templates/basic/user/auth/register.blade.php ENDPATH**/ ?>