<?php $__env->startSection('content'); ?>
    <?php
        $bannerContent = getContent('banner.content', true);
        $cities = App\Models\City::active()
            ->orderBy('name', 'asc')
            ->get();
        $categories = App\Models\Category::active()
            ->orderBy('name', 'asc')
            ->get();
    ?>
    <section class="banner-section bg-img" style="background-image: url(<?php echo e(getImage('assets/images/frontend/banner/' . @$bannerContent->data_values->image, '2250x1500')); ?>);">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-10">
                    <div class="banner-content">
                        <h2 class="banner-content__title text-center"><?php echo e(__($bannerContent->data_values->heading)); ?></h2>
                        <p class="banner-content__desc text-center"><?php echo e(__($bannerContent->data_values->subheading)); ?></p>

                        <form action="<?php echo e(route('listings')); ?>" method="GET" autocomplete="off">
                            <div class="banner-form-wrapper">
                                <div class="banner-form">
                                    <div class="filter-item keyword d-flex justify-center align-items-center">
                                        <span class="icon ms-2">
                                            <i class="la la-search"></i>
                                        </span>
                                        <input type="text" class="form--control" name="search" autocomplete="off" placeholder="<?php echo app('translator')->get('What you are looking for?'); ?>">
                                    </div>

                                    <div class="filter-item all-category d-flex align-items-center">
                                        <span class="icon ms-2">
                                            <i class="la la-list"></i>
                                        </span>
                                        <select name="category" class="form-select form--control select2" aria-label="Default select example">
                                            <option selected disabled> <?php echo app('translator')->get('Categories'); ?> </option>
                                            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($category->slug); ?>"> <?php echo e(__($category->name)); ?> </option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>

                                    <div class="location d-flex align-items-center">
                                        <span class="icon ms-2">
                                            <i class="la la-map-marker"></i>
                                        </span>

                                        <select name="city" class="form-select form--control select2 " aria-label="Default select example">
                                            <option selected disabled><?php echo app('translator')->get('Cities'); ?></option>
                                            <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($city->slug); ?>"><?php echo e(__(@$city->name)); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>

                                    <button type="submit" class="search-btn btn btn--base"><?php echo app('translator')->get('Search'); ?><i class="la la-search"></i></button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <?php if($sections->secs != null): ?>
        <?php $__currentLoopData = json_decode($sections->secs); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sec): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php echo $__env->make($activeTemplate . 'sections.' . $sec, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php endif; ?>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        (function($) {
            "use strict";
            $('[name=city]').select2({
                dropdownParent: $('[name=city]').parent()
            });

            $('[name=category]').select2({
                dropdownParent: $('[name=category]').parent()
            });
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script-lib'); ?>
    <script src="<?php echo e(asset('assets/global/js/select2.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style-lib'); ?>
    <link href="<?php echo e(asset('assets/global/css/select2.min.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bewsysde/public_html/abcdb.bewsys.dev/releases/20240223090309/resources/views/templates/basic/home.blade.php ENDPATH**/ ?>