<?php $__env->startSection('panel'); ?>
    <div class="row gy-4">
        <div class="col-12">
            <div class="d-flex justify-content-end gap-2">
                <?php if($listing->status == Status::LISTING_PENDING): ?>
                    <button type="button" class="btn btn--danger confirmationBtn" data-action="<?php echo e(route('admin.listing.reject', $listing->id)); ?>" data-question="<?php echo app('translator')->get('Are you sure to reject this listing'); ?>?">
                        <i class="la la-times"></i><?php echo app('translator')->get('Reject'); ?>
                    </button>

                    <button type="button" <?php if(@$userPlan->listings < @$approvedTotal): echo 'disabled'; endif; ?> class="btn btn--success confirmationBtn" data-action="<?php echo e(route('admin.listing.approve', $listing->id)); ?>" data-question="<?php echo app('translator')->get('Are you sure to approve this listing'); ?>?">
                        <i class="la la-check"></i><?php echo app('translator')->get('Approve'); ?>
                    </button>
                <?php endif; ?>

                <?php if(!($listing->status == Status::LISTING_DISABLED || $listing->status == Status::LISTING_REJECTED)): ?>
                    <?php if($listing->is_featured == Status::YES): ?>
                        <button class="btn btn--dark btn-sm confirmationBtn" data-question="<?php echo app('translator')->get('Are you sure to unfeature this listing?'); ?>" data-action="<?php echo e(route('admin.listing.feature', $listing->id)); ?>">
                            <i class="las la-eye-slash"></i><?php echo app('translator')->get('Make Unfeature'); ?>
                        </button>
                    <?php else: ?>
                        <button class="btn btn--primary confirmationBtn btn-sm" data-question="<?php echo app('translator')->get('Are you sure to feature this listing?'); ?>" data-action="<?php echo e(route('admin.listing.feature', $listing->id)); ?>">
                            <i class="las la-eye"></i><?php echo app('translator')->get('Make Feature'); ?>
                        </button>
                    <?php endif; ?>
                <?php endif; ?>
            </div>
        </div>
        <div class="col-lg-7">
            <div class="card ">
                <div class="card-body">
                    <h5 class="card-title"><?php echo app('translator')->get('Listing Details'); ?></h5>
                    <ul class="list-group list-group-flush">
                        <li class="list-group-item">
                            <span class="text--muted"><?php echo app('translator')->get('Owner'); ?></span>
                            <h6 class="text--primary"><a href="<?php echo e(route('admin.users.detail', $listing->user_id)); ?>"><?php echo e($listing->user->username); ?></a></h6>
                        </li>

                        <li class="list-group-item">
                            <span class="text--muted"><?php echo app('translator')->get('Listing Id'); ?></span>
                            <h6>#<?php echo e($listing->listing_id); ?></h6>
                        </li>

                        <li class="list-group-item">
                            <span class="text--muted"><?php echo app('translator')->get('Title'); ?></span>
                            <h6><?php echo e(__($listing->title)); ?></h6>
                        </li>

                        <li class="list-group-item">
                            <span class="text--muted "><?php echo app('translator')->get('City'); ?></span>
                            <h6><?php echo e(__($listing->city->name)); ?></h6>
                        </li>

                        <li class="list-group-item">
                            <span class="text--muted"><?php echo app('translator')->get('Location'); ?></span>
                            <h6><?php echo e(__($listing->location)); ?></h6>
                        </li>

                        <li class="list-group-item">
                            <span class="text--muted "><?php echo app('translator')->get('Category'); ?></span>
                            <h6><?php echo e(__($listing->category->name)); ?></h6>
                        </li>
                        <?php if($listing->tag): ?>
                            <li class="list-group-item">
                                <span><?php echo app('translator')->get('Tags'); ?></span>

                                <div>
                                    <?php $__currentLoopData = $listing->tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tags): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <span class="badge badge--primary"><?php echo e($tags); ?></span>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </li>
                        <?php endif; ?>

                    </ul>
                </div>
            </div>

            <?php if(!blank($listing->amenities)): ?>
                <div class="card mt-3">
                    <div class="card-body">
                        <h5 class="card-title gap-2 d-flex align-items-center"><?php echo app('translator')->get('Amenities'); ?> <span class="badge bg--info"><?php echo e(count($listing->amenities)); ?>/<?php echo e(@$userPlan->amenities ?? 0); ?></span></h5>

                        <ul class="list-group list-group-flush">
                            <?php $__currentLoopData = $listing->amenities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $amenity): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="list-group-item">
                                    <span><?php echo e(__($amenity->name)); ?></span> <span> <?php echo e(__($amenity->value)); ?></span>
                                </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                </div>
            <?php endif; ?>

            <div class="card mt-3">
                <div class="card-body">
                    <h5 class="card-title"><?php echo app('translator')->get('Operating Hours'); ?></h5>
                    <ul class="list-group list-group-flush">
                        <?php if($listing->open_time): ?>
                            <li class="list-group-item">
                                <span><?php echo app('translator')->get('Open at'); ?></span>
                                <span><?php echo e(showDateTime($listing->open_time, 'h:i A')); ?></span>
                            </li>
                        <?php endif; ?>

                        <?php if($listing->close_time): ?>
                            <li class="list-group-item">
                                <span><?php echo app('translator')->get('Closed at'); ?></span>
                                <span><?php echo e(showDateTime($listing->close_time, 'h:i A')); ?></span>
                            </li>
                        <?php endif; ?>
                        <?php if(!blank($listing->day_off)): ?>
                            <li class="list-group-item">
                                <span><?php echo app('translator')->get('Day Off'); ?></span>
                                <?php
                                    $listing->day_off = array_map(function ($day) {
                                        return ucfirst($day);
                                    }, $listing->day_off);
                                ?>

                                <span>
                                    <?php echo e(implode(', ', $listing->day_off)); ?>

                                </span>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div>

            <div class="card mt-3">
                <div class="card-body">
                    <h5 class="card-title"><?php echo app('translator')->get('Listing Description'); ?></h5>
                    <p> <?php  echo $listing->description; ?></p>
                </div>
            </div>
        </div>

        <div class="col-lg-5">

            <div class="card mb-3">
                <div class="card-body">
                    <ul class="list-group list-group-flush">
                        <li class="list-group-item d-flex justify-content-between">
                            <span class="text--muted "><?php echo app('translator')->get('Status'); ?></span>
                            <?php echo $listing->statusBadge; ?>
                        </li>

                        <li class="list-group-item d-flex justify-content-between">
                            <span class="text--muted "><?php echo app('translator')->get('Featured'); ?></span>
                            <div>
                                <?php if($listing->is_featured == Status::YES): ?>
                                    <span class="badge badge--success"><?php echo app('translator')->get('Yes'); ?></span>
                                <?php else: ?>
                                    <span class="badge badge--danger"><?php echo app('translator')->get('No'); ?></span>
                                <?php endif; ?>
                            </div>
                        </li>

                        <li class="list-group-item d-flex justify-content-between">
                            <span class="text-muted"><?php echo app('translator')->get('Approved Listings'); ?></span> <span> <?php echo e($totalApproved); ?></span>
                        </li>
                        <li class="list-group-item d-flex justify-content-between">
                            <span class="text-muted"><?php echo app('translator')->get('Allowed Listings'); ?></span> <span><?php echo e(@$userPlan->listings ?? 0); ?></span>
                        </li>
                    </ul>
                </div>
            </div>

            <?php if($listing->map): ?>
                <div class="card mb-3">
                    <div class="card-body">
                        <h5 class="card-title"> <?php echo app('translator')->get('Map'); ?> </h5>
                        <iframe src="<?php echo e(@$listing->map); ?>" width="100%" height="300" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
                    </div>
                </div>
            <?php endif; ?>

            <div class="card">
                <div class="card-body">
                    <h5 class="card-title"><?php echo app('translator')->get('Display Image'); ?></h5>
                    <div class="row">
                        <div class="col-sm-4">
                            <a href="<?php echo e(getImage(getFilePath('listing') . '/' . $listing->display_image, getFileSize('listing'))); ?>" class="gallery-thumb">
                                <img src="<?php echo e(getImage(getFilePath('listing') . '/' . $listing->display_image, getFileSize('listing'))); ?>" alt="" class="mw-100">
                            </a>
                        </div>
                    </div>
                    <?php if(!blank($listing->images)): ?>
                        <h5 class="card-title gap-2 d-flex align-items-center mt-3"><?php echo app('translator')->get('Gallery Images'); ?> <span class="badge bg--info"><?php echo e($listing->images->count()); ?>/<?php echo e(@$userPlan->images ?? 0); ?></span></h5>
                        <div class="row gy-4">
                            <?php $__currentLoopData = $listing->images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="col-sm-4">
                                    <a href="<?php echo e(getImage(getFilePath('listing') . '/' . $image->name, getFileSize('listing'))); ?>" class="gallery-thumb">
                                        <img src="<?php echo e(getImage(getFilePath('listing') . '/' . $image->name, getFileSize('listing'))); ?>" alt="" class="mw-100">
                                    </a>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
            <?php if(!blank($listing->videos)): ?>
                <div class="card mt-3">
                    <div class="card-body">
                        <h5 class="card-title gap-2 d-flex align-items-center"><?php echo app('translator')->get('Videos'); ?> <span class="badge bg--info"><?php echo e(count(@$listing->videos)); ?>/<?php echo e(@$userPlan->videos ?? 0); ?></span></h5>

                        <?php $__currentLoopData = $listing->videos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $video): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <iframe class="video mw-100" width="100%" height="350" src="<?php echo e(@$video); ?>" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            <?php endif; ?>
        </div>
    </div>
    <?php if (isset($component)) { $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b = $component; } ?>
<?php $component = App\View\Components\ConfirmationModal::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('confirmation-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\ConfirmationModal::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b)): ?>
<?php $component = $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b; ?>
<?php unset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b); ?>
<?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.back','data' => ['route' => ''.e(route('admin.listing.index')).'']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('back'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['route' => ''.e(route('admin.listing.index')).'']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
    <a class="btn btn-outline--warning" href="<?php echo e(route('admin.review.index')); ?>?search=<?php echo e($listing->listing_id); ?>"><?php echo app('translator')->get('Reviews'); ?> (<?php echo e($listing->reviews_count); ?>)</a>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .list-group-item {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
            align-items: center;
            padding: .8rem 0;
            border: 1px solid #f1f1f1;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bewsysde/public_html/abcdb.bewsys.dev/releases/20231110093225/resources/views/admin/listing/details.blade.php ENDPATH**/ ?>